Bienvenue

Shredder Classic

Shredder Classic 2, Shredder 10 UCI et Deep Shredder 10 UCI sont des programmes commerciaux développés par Stefan Meyer-Kahlen.

Ce mode d'emploi vous apporte toutes les informations nécessaires pour se servir efficacement de Shredder et l'utiliser pour votre propre entraînement aux échecs.

Utilisation du fichier d'aide

Vous pouvez accéder aux différents thèmes par le sommaire et l'ongle Index. Si vous ne retrouvez pas le thème désiré vous pouvez effectuer une recherche par l'onglet Rechercher. Dans ce cas tous les chapitres contenant le terme recherché sont listés.

Vous pouvez imprimer certains thèmes.


Note

Shredder Classic 2, Shredder 10 UCI et Deep Shredder 10 UCI sont protégés par un copyright.

Vous pouvez tester Shredder Classic pendant 30 jours sur votre ordinateur. Ensuite vous devez vous enregistrer ou effacer le programme de votre disque dur.

Il n'existe pas de versions de test de Shredder 10 UCI et Deep Shredder 10 UCI; l'interface utilisateur est néanmoins identique pour les trois programmes, ils ne se différencient que par le module d'échecs mis en oeuvre et d'extensions de programmes disponibles.


Enregistrement

Si vous voulez utiliser Shredder Classic 2 plus de 30 jours, vous devez vous enregistrer. Des informations complémentaires sont disponibles sous

www.shredderchess.de ou www.shredderchess.com

Shredder 10 UCI et Deep Shredder 10 UCI doivent être enregistrés avec le code de licence obtenu lors de l'achat.

Pour vous enregistrer cliquez sur la ligne Enregistrer (Maj-F1) dans le menu Aide puis sur le bouton Obtenir code. Vous serez dirigé automatiquement vers la page de commande de Shredder sur Internet.

Après votre enregistrement vous obtenez votre code d'enregistrement établi au nom que vous avez indiqué et qu'il faudra saisir dans le dialogue suivant.

Vous pouvez choisir si vous voulez enregistrer l'interface (GUI) ou le module. Comme pour Shredder Classic 2 le code pour les deux est identique, il est conseillé d'enregistrer les deux conjointement. Laissez les deux champs activés.

Vous devez saisir le nom et le code exactement comme vous l'avez obtenu pour l'enregistrement!

En règle générale vous obtenez votre code par courriel. Il est prudent de saisir le code dans Shredder Classic par Copier/Coller. Vous sélectionnez le code dans votre message et vous le copier par Ctrl-C dans le Presse-Papiers. Puis vous cliquez dans le champ de saisie du code de Shredder Classic et vous collez le code par Ctrl-V.

Si un code valable a été saisi, le bouton "Enregistrer" est automatiquement activé. Si ce n'est pas le cas, vérifiez si vous avez bien saisi le nom et le code d'enregistrement.

Lorsque vous avez enregistré Shredder Classic avec succès, vous pourrez l'utiliser sans restrictions et les dialogues pour l'enregistrement ne seront plus affichés.


Contact

Le site de Shredder est disponible sur Internet sous www.shredderchess.de ou www.shredderchess.com.


L'auteur

Stefan Meyer-Kahlen

Shredder est une série de programmes d'échecs de Stefan Meyer-Kahlen. L'auteur est informaticien diplômé, marié et vit à Düsseldorf.

Stefan Meyer-Kahlen travaille sur Shredder depuis 1992.

Stefan Meyer-Kahlen a obtenu dix titres comme Champion du Monde des ordinateurs depuis 1996 avec Shredder.

· 1996 Champion du Monde des micro-ordinateurs à Jakarta

· 1999 Champion du Monde des micro-ordinateurs à Paderborn

· 1999 Champion du Monde des ordinateur à Paderborn

· 2000 Champion du Monde des micro-ordinateurs à Londres

· 2001 Champion du Monde des micro-ordinateurs simple CPU à Maastricht

· 2002 Champion du Monde des ordinateurs en Blitz à Maastricht

· 2003 Champion du Monde des ordinateur à Graz

· 2003 Champion du Monde des ordinateurs en Blitz à Graz

· 2004 Champion du Monde des ordinateurs en Blitz à Tel Aviv

· 2005 Champion du Monde des ordinateurs en Blitz à Reykjavik

S'y ajoutent d'autres victoires et places d'honneur dans des tournois d'échecs par ordinateur comme l'IPCCC à Paderborn

La bibliothèque d'ouvertures a été développée par l'expert italien pour les ouvertures Sandro Necci et optimisée pour la façon de jouer de Shredder.


Menus

Les menus

Beaucoup de fonctions de Shredder peuvent être appelées par les menus déroulants au bord supérieur de l'écran.

Les menus suivants sont disponibles:

  • Menu Fichier

  • Menu Commandes

  • Menu Niveaux de jeu

  • Menu Mode

  • Menu Outils

  • Menu Fenêtres

  • Menu Aide

Les menus peuvent contenir des sous-menus avec des fonctions supplémentaires.

Beaucoup de fonctions peuvent être appelées par un clic droit sur un élément de l'écran par des menus contexte.


Menu Fichier

Nouvelle partie

Démarre une nouvelle partie avec les derniers paramètres actifs, par ex. niveau de jeu, paramètres du programme, etc.

Nouvelle partie Shuffle

Démarre une nouvelle partie de ShuffleChess. Dans le ShuffleChess la position initiale change à chaque début de partie.

ShuffleChess offre l'avantage, par rapport aux échecs avec position de départ normale, de mettre à contribution moins les connaissances théoriques mais la compréhension flexible de la position.

Charger partie

Affiche la liste de parties de la base de données active. Pour charger une partie faites un double clic sur un élément de la liste.

Sauvegarder partie

Sauvegarde la partie en cours dans la base active.

Saisissez dans le masque de saisie les noms des joueurs, le lieu, le tournoi, le résultat, etc.

Si vous saisissez les données complètement, vous vous faciliterez plus tard les recherches dans la base.

Remarque:prenez garde de saisir les différentes parties avec une orthographe commune. Par ex. si vous saisissez des parties de Garry Kasparov une fois sous "Kasparow" puis sous "Kasparov", la fonction de recherche distinguera deux joueurs dans la base.

Remplacer partie

Remplace un élément dans la base de données, liste de parties.

Effacer partie

Supprime physiquement une partie de manière définitive dans une base de données.

Charger position

Charge une position depuis un fichier EPD. Shredder offre un dialogue de choix très clair pour les fichiers EPD contenant plusieurs positions. Par ex. vous pouvez cliquez dans la colonne de droite sur un élément de la liste pour visualiser la position correspondante dans la fenêtre d'aperçu. Vous pouvez aussi naviguer dans la liste avec les flèches sous l'échiquier d'aperçu. La valeur "5/30" signifie que parmi les 30 positions l'élément n°5 a été sélectionné. Sous les flèches de navigation est indiqué le string EPD de la position correspondante.

Sauvegarder position

Sauvegarde une position dans un fichier EPD.

Fichiers récents

Shredder conserve le nom des bases de données ouvertes en dernier. Par Ctrl-X vous pouvez rapidement ouvrir la dernière base utilisée.

Saisir position

Ouvre la saisie de position. La position en cours est prise par défaut dans le masque de saisie. Pour remplacer une pièce, cliquer sur le type de pièce désiré à droite de l'échiquier. Le curseur de la souris se transforme dans la pièce sélectionnée quand il aborde l'échiquier. Cliquez sur la case désirée de l'échiquier pour y placer la pièce.

Imprimer partie

Imprime la partie. Vous pouvez saisir ou modifier les données de la partie dans le masque de saisie.

Imprimer position

Imprime la position en cours.

Quitter

Ferme Shredder. Les configurations en cours sont archivées et réactivées lors du prochain démarrage.


Menu Commandes

Calculer

Démarre le processus de calcul du programme. Dans une partie en cours, vous pouvez changer ainsi de couleur.

Interrompre

Interrompt le processus de calcul du programme. Shredder joue le meilleur coup jusque là. Cette fonction n'est possible que si le programme calcule.

Copier

Copie les données de la partie en cours dans le Presse-papiers Windows. Vous pouvez choisir si vous voulez copier une notation de partie (PGN), une position (EPD), le contenu de la fenêtre d'analyse, uniquement la dernière analyse ou la notation de partie au format texte dans le Presse-papiers. Vous pouvez échanger et éditer ces données avec une autre application Windows, par ex. une traitement de texte.

Insérer

Reprend le contenu du Presse-papiers, par ex. une notation au format PGN ou une position de partie au format EPD. Ces formats se rencontrent souvent sur Internet, par ex. dans des courriels ou dans des fora d'échecs.

Proposer nulle

Vous pouvez proposer nulle à tout moment quand vous avez le trait. Cette commande n'est disponible que durant une nouvelle partie. Vous obtiendrez ensuite la réponse du programme s'il accepte ou non la proposition.

Abandonner

Vous pouvez informer le programme de votre intention d'abandonner. Cette commande n'est disponible que que durant une partie normale.

Aller au coup

Va directement à un coup donné. Indiquez le numéro du coup.

Montrer partie

Rejoue automatiquement la partie chargée.

Montrer variante principale

Rejoue la variante principale calculée sur un échiquier de variantes. Vous pouvez avec les flèches naviguer à travers la variante. Le bouton "Automatiquement" fait jouer la variante en cours automatiquement. Actualiser provoque l'affichage de la variante calculée en cours.

Remarque: l'analyse n'est pas interrompue.

Insérer variante principale

Insère la variante principale en cours y compris l'évaluation de position et le temps dans la notation de partie.

Insérer meilleur coup

Insère le meilleur coup dans la notation comme commentaire.

En-têtes de partie

Ouvre le masque de saisie des en-têtes de la partie.


Menu Niveaux de jeu

Sous le menu Niveaux de jeu, vous pouvez indiquer le temps utilisé par les joueurs.

Comme un joueur humain, Shredder joue d'autant mieux qu'il dispose de plus de temps pour le calcul.

Blitz

Dans le niveau de jeu Blitz le temps de réflexion est fixé pour toute la partie. Le temps de réflexion est valable pour les deux joueurs.

Plus: la valeur saisie (en secondes) est ajouté à chaque coup au temps restant. Ceci correspond à ce que l'on appelle la pendule Fischer.

Bonus Humain: Vous pouvez jouer dans un temps de réflexion plus important que le programme contre Shredder.

Temps par coup

Dans ce niveau, Shredder s'en tient exactement ou à peu près au temps imposé par coup.

Exceptions:

  • Shredder joue des coups depuis la bibliothèque d'ouvertures

  • Shredder reconnaît un mat

Si l'option "Temps exact" est choisi, Shredder essaiera de respecter scrupuleusement le temps imparti par coup. Si l'option n'est pas activée, un temps moyen est utilisé.

Le niveau avec temps exact par coup est moins adapté pour des parties normales que par ex. pour des positions de test. Si vous voulez résoudre des fichiers EPD avec temps de réflexion imposé, vous utiliserez ce niveau.

Contrôle de temps

Vous pouvez régler jusqu'à trois contrôle de temps différents. Le troisième contrôle de temps n'est affiché que si le deuxième est fixé. Avec "Tout" vous déterminez que le contrôle de temps est valable pour le reste de la partie. Vous pouvez aussi indiquer un bonus qui est ajouté à chaque coup au temps de réflexion restant.

Profondeur fixe

Avec profondeur fixe, vous pouvez fixer le nombre de demi-coups que Shredder doit calculer. La durée peut beaucoup varier selon la complexité de la position. Des positions avec beaucoup de pièces sur l'échiquier nécessitent nettement plus de temps de calcul que des positions pauvres en pièces.

Réduire la puissance du module

Vous pouvez réduire la force de jeu de Shredder à volonté et le régler sur un niveau Elo fixe. Plus la valeur est élevée, plus Shredder joue mieux. Si vous voulez jouer contre le programme, il est conseillé d'adapter Shredder à votre propre force de jeu avec cette fonction.


Menu Mode

Analyse

Démarre l'analyse du programme en arrière plan. Dans ce mode Shredder ou le module d'échecs active n'exécute pas de coup. Pendant que vous saisissez des coups ou que vous lisez une partie, Shredder affiche en permanence son évaluation et des informations supplémentaires sur le coup en cours dans la fenêtre d'analyse sous l'échiquier.

Voir mode Analyse

Voir Choisir coups

Jeu contre ordinateur

Dans ce mode Shredder joue ses coups normalement selon le niveau de jeu sélectionné.

Saisir coups

Dans ce mode vous pouvez saisir des coups sur l'échiquier graphique. Shredder ne répond pas au coup et n'affiche pas d'informations de calcul.

Jouer la position

Le programme joue contre lui-même. Vous pouvez vous servir de cette fonction en laissant le programme jouer les coups pour les deux côtés à compter d'une position donnée.

TripleBrain

Le Triple Brain est un tout nouveau concept pour combiner les avantages de deux modules très différents et obtenir le maximum pour l'analyse. Les modules "normaux" analyse une position pendant qu'un troisième programme prend la décision du coup représentant la meilleure alternative. Dans Shredder le module décideur est appelé "Triple Brain". Le Triple Brain affiche dans sa propre fenêtre une échelle d'évaluation de 0 à 100%. Sur la base de ce pourcentage, l'utilisateur peut voir à quel point Triple Brain est sûr de l'évaluation et du choix d'un coup.

Analyser partie

Shredder peut rechercher automatiquement les erreurs dans la partie en cours. Choisissez l'élément "Analyser partie" dans le menu Mode. Dans la boîte de dialogue vous choisissez l'intervalle de coups et la couleur pour laquelle Shredder doit rechercher des erreurs. Les commentaires et variantes existants peuvent être effacés optionellement. Avec la valeur de seuil vous indiquez à partir de quand Shredder doit proposer un coup alternatif. Par exemple une valeur de 50 signifie qu'un autre coup ne doit être proposé que s'il est meilleur de la valeur d'un demi-pion par rapport au coup joué. Pour une valeur de seuil de 0, Shredder indique un coup alternatif pour tous les coups. Les propositions de Shredder ainsi que leurs évaluations sont insérées comme commentaires texte dans la partie en cours. Vous pouvez indiquer le temps que Shredder doit utiliser par coup. Voir aussi ici.

Analyser positions

Shredder peut analyser automatiquement toutes les positions dans un fichier EPD, PGN ou CBF. Pour chaque position, un "coup candidat" peut être fixé. Le programme affiche une statistique des positions résolues. Le coup candidat doit être indiquer sous la forme: "bm " (best move) et le coup en notation abrégée avec les initiales des pièces en Anglais (KQRBN pour RDTFC), par ex.. bm Nxf7 ou bm Bb5+.

Vous pouvez saisir le commentaire (coup candidat) lors de la sauvegarde d'une position. Si vous voulez ajouter des coups candidats dans un fichier EPD existant, chargez ce fichier avec un éditeur de texte et saisissez les coups à la fin de la ligne de description de la position.

Pendant l'analyse d'un fichier EPD, vous pouvez interrompre l'analyse de la position en cours avec l'ordre "Position suivante" Pour interrompre l'analyse EPD complète, choisissez n'importe quel autre mode de jeu, par ex. "Normal" ou "Analyse".

Dans des suites de tests comme par ex. BT-2830-Test, le nombre de noeuds qui doivent être calculés après la solution trouvée est correctement interrompu.

A l'issue d'une analyse EPD, deux tableaux sont affichés dans la fenêtre d'analyse. Le premier tableau indique le temps de résolution (en secondes) pour chaque position, le deuxième tableau affiche le nombre de positions résolues. Deux fichiers sont créés automatiquement dans le répertoire de Shredder qui permettent d'exploiter les résultats du test. Un fichier est au format EPD, l'autre au format CSV que l'on peut importer directement dans un tableur.

Démarrer Autoplayer

Shredder possède d'une interface pour le système Auto232. Avec Auto232, les programmes d'échecs peuvent jouer automatiquement l'un contre l'autre sur 2 PC.

Match entre modules

Vous pouvez faire jouer automatiquement deux modules sous l'interface de Shredder. Les parties d'un match sont enregistrées dans un fichier PGN. Pour une utilisation à un seul processeur, il est censé de débrancher la réflexion permanente.

Tournoi des modules

Vous pouvez faire un tournoi entre plusieurs modules sous l'interface de Shredder.

Échiquier externe

Shredder est compatible avec les échiquiers électroniques de marques TASC et DGT. Vous pouvez saisir les coups sur ces échiquiers, les coups du programme d'échecs sont indiqués par les diodes LED du Smartboard.

Avant la première utilisation de l'échiquier TASC sous Shredder, vous devez initialiser le raccordement du Smartboard avec l'outil "Smartmon.exe". Veuillez tenir compte des informations de la documentation du Smartboard.

Remarque: l'échiquier TASC fonctionne uniquement sous Windows 95, 98 et ME.

Pour l'échiquier DGT, vous devez d'abord installer le driver de l'échiquier. Veuillez tenir compte les recommandations de la documentation de l'échiquier DGT.


Menu Outils

Dans ce menu Outils se trouvent les sous-menus pour les modules, la bibliothèque d'ouvertures, l'Oracle des finales et les options.

Sous-menu Modules

Remarque: vous pouvez accéder à d'autres fonctions importantes par un clic droit dans la fenêtre d'analyse avec le menu contexte.

Permanent Brain

La possibilité pour un module de calculer pendant la réflexion de l'adversaire. Shredder concentre ses analyses sur le coup adverse attendu. Si ce coup est effectivement joué, Shredder a économisé un précieux temps de calcul.

Remarque: Shredder indique également le coup adverse attendu dans la fenêtre d'analyse. Les analyses Permanent Brain sont affichées dans une couleur différente.

Installer module

Installe, ou plutôt intègre, un module sous l'interface Shredder. Pour déclarer un nouveau module sous Shredder, vous procédez comme suit:

  • Choisissez l'élément "Installer module" dans le menu "Modules".

  • Dans le masque de dialogue, choisissez le type de module. Pour les modules UCI, sélectionnez "UCI-Engine", pour les modules WinBoard le choix "WinBoard-Engine".

  • Ensuite vous devez indiquer le chemin vers le répertoire du module. Vous pouvez le faire aisément avec la souris dans la boîte de dialogue en cliquant sur le bouton avec les trois points.

  • Ensuite vous devez encore indiquer le nom du module. Cette désignation sera utilisé dans la boîte de dialogue pour le choix d'un module. Vous pouvez aussi indiquer le nom de l'auteur du module.

Maintenant le module est déclaré sous Shredder et peut être charger et lancer comme décrit ici .

Désinstaller module

Enlève un module de la boite de chargement. Remarque: le module n'est pas supprimé physiquement du disque dur!

Éditer fichier du module

Vous avez la possibilité d'éditer directement dans Shredder le fichier Ascii avec l'extension *.ENG qui pilote l'intégration dans l'interface. Shredder ouvre automatiquement "Bloc-Notes", l'éditeur de texte de Windows.

Pour éditer et modifier un des fichiers de configuration d'un module WinBoard, vous devez utiliser également un éditeur de texte. Les fichiers de configuration des modules WB ont souvent des extensions différentes et demandent des éléments divers. Veuillez vous référer aux fichiers texte du module WinBoard correspondant.

Base de données de finales

Ouvre un dialogue pour la configuration des bases de données de finales.

Sous-menu Bibliothèque d'ouvertures

La bibliothèque d'ouvertures de Shredder est sauvegardée comme arbre de positions. La bibliothèque d'ouvertures livrée avec le programme contient env. 20000 coups et a été éditer par l'expert en ouvertures Sandro Necci, Italie. La bibliothèque tient compte des inversions de coups.

Nouvelle bibliothèque d'ouvertures

Crée une nouvelle bibliothèque. L'extension de fichier pour les bibliothèques d'ouvertures de Shredder est *.BKT. Vous pouvez étendre ces bibliothèques par importation de fichier CBF ou PGN.

Charger bibliothèque d'ouvertures

Charge une bibliothèque existante. Remarque: une seule bibliothèque peut être active à la fois.

Importer bibliothèque d'ouvertures

Une bibliothèque d'ouvertures peut aussi être étendue par l'importation d'autres bibliothèques. Les bibliothèques des programmes ChessGenius 1 - 5, Rebel et Fritz 1 - 4 sont proposées à l'importation. Des arbres de positions déjà existants peuvent également être importés.

Importer parties

Des bases de données au format CBF et PGN peuvent être importées dans une bibliothèques d'ouvertures existante de Shredder. L'importation peut être contrôlée par les options suivantes du masque de dialogue:

  • Importer variantes Les bases de données peuvent contenir des variantes en plus de la notation brute de partie. Par l'activation de cette fonction les variantes sont également importées dans l'arbre de positions.

  • Importer statistiques tient compte des coefficients de réussite de coups et de parties.

  • Importer évaluations des coups tient compte lors de l'importation de bibliothèques et de bases de données des évaluations de coups existantes.

  • La longueur des variantes peut également être contrôlée avec la limitation de demi-coups lors de l'importation de données.

  • Longueur de variante fixe la profondeur en demi-coups pour l'intégration d'une variante dans l'arbre de positions.

  • Longueur relative ECO fixe la profondeur en demi-coups pour l'intégration d'une variante selon la dernière position ECO trouvée

Importer partie en cours

importe la partie en cours sur l'échiquier dans l'arbre de positions.

Exporter bibliothèque d'ouvertures

Les bibliothèques de Shredder peuvent être exportées au format texte. Ceci est particulièrement intéressant si vous possédez le programme Pocket Fritz. Informations supplémentaires ici ....

Compter coups de la bibliothèque

donne une information du nombre effectif de coups dans l'arbre de positions.

Affiner bibliothèque d'ouvertures

Shredder contrôle le contenu de l'arbre de positions, par ex. les coups basés sur un nombre faible de parties sont enlevés.

Publier la partie

Vous pouvez demander à Shredder d'enregistrer la partie en cours automatiquement après chaque coup dans un fichier. Vous pouvez choisir si la sauvegarde se fait avec ou sans commentaires. Cette fonction peut être utilisée pour publier "en direct" des parties avec un outil complémentaire adéquat.

Oracle de finale

ouvre le dialogue pour l'Oracle de finale.

Options

Sous les options vous pouvez changer les configurations de base du programme.


Menu Fenêtres

Échiquier

Affiche ou masque l'affichage de l' échiquier graphique.

Pendules

Affiche ou masque l'affichage de la pendule.

Partie

Affiche ou masque l'affichage de la fenêtre avec la notation de partie, commentaires et variantes.

Informations de calcul

L'affichage des informations de calcul dans la fenêtre d'analyse peut être activé ou masqué. Si vous voulez jouer une partie sérieuse contre Shredder ou un autre module sans obtenir les informations et les évaluations du module, vous devrez masquer la fenêtre d'analyse.

Coups

Masque la fenêtre des coups. Dans la fenêtre des coups sont affichés selon le paramétrage (clic droit) les coups d'ouverture de l'arbre de positions, tous les coups légaux ou des indications statistiques des bases de données des finales.

Histogramme

Dans le profil de partie le déroulement de la partie est affiché graphiquement.

Sous-menus

Design

Dans les sous-menus Design vous pouvez modifier les paramètres à votre convenance. Vous pouvez déterminer librement les couleurs, charger divers arrière-plans ou activer les titres de fenêtre. Les designs ont toujours comme extension de fichier *.SDN.

Titre de fenêtres

Masque le titre des fenêtres. Ceci est utile particulière pour l'usage de Shredder avec des petits écrans ou sur un portable.

Configuration Fenêtres

Sous l'élément configuration Fenêtres vous pouvez choisir entre plusieurs configurations d'écran prédéfinies. Vous pouvez sauvegarder sous ce menu une configuration utilisateur pour pouvoir la recharger plus tard. Ces fichiers ont toujours l'extension *.SLO.


Menu Aide

Aide

Appelle l'aide en ligne de Shredder. Vous pouvez aussi faire appel à l'aide du programme à tout moment avec F1.

Proposition de coup

Quand vous avez le trait, vous pouvez demandez une proposition de coup à l'aide de cette fonction. Shredder exécute le coup brièvement sur l'échiquier. Si Shredder a le trait, il montre rapidement le meilleur coup calculé.

Professeur observe

Active ou désactive l' entraîneur.

Enregistrer

Ici vous pouvez enregistrer votre version de Shredder par la saisie de votre nom et de votre code d'utilisateur personnel. Si cet élément de menu n'est pas activable, le programme et le module chargé sont déjà enregistrés.

Actualiser le programme

Vous pouvez demander à Shredder de rechercher une mise à jour du programme sur Internet sous www.shredderchess.com. Si Shredder trouve une nouvelle version, vous serez interroger s'il doit mettre à jour automatiquement. Lors de la vérification d'une mise à jour, Shredder envoie votre code de licence crypté à notre serveur, pour que nous puissions vérifier à l'aide de notre base de données de clients s'il s'agit d'une demande légale de mise à jour.

Shredder sur Internet

Ouvre le site de Shredder si une connexion Internet existe.

Utilisez cette possibilité pour vous tenir informé des nouveautés et des développements actuels de Shredder.

A propos de Shredder

Affiche des informations sur le programme.


Clics droits

En plus des menus de la barre de fonction, les menus contexte sont des éléments importants pour l'utilisation du programme. Avec un clic droit de la souris dans une fenêtre, vous pouvez appeler un menu contexte donnant accès aux fonctions.

Beaucoup de fonctions peuvent être pilotées grâce un clic droit sur l'élément à l'écran, par ex. pour afficher plus rapidement la pendule. Cette méthode est souvent plus rapide que l'appel aux menus traditionnels.

Exemple: après un clic droit sur l'échiquier les fonctions Tourner échiquier, saisie de position ou choix des pièces et échiquier sont disponibles.

Tipp ! Les menus contextes sont disponible dans tous les éléments comme l'échiquier, la pendule, la notation, la fenêtre d'analyse, etc. Vous devriez faire ainsi souvent usage du bouton droit de la souris.


Doubles clics

Vous pouvez démarrer des fonctions importantes dans la fenêtre principale de Shredder par un simple double clic avec le bouton gauche de la souris. Cette possibilité est disponible dans presque chaque fenêtre à l'écran..

Double clic pendule

Appelle le masque de dialogue pour le réglage du temps de réflexion.

Clic sur profil de partie

Avec un clic sur le profil de partie charge directement la position correspondante sur l'échiquier graphique.

Double clic sur l'en-tête de partie

Appelle la boîte de dialogue pour l'édition des données de la partie.

Double clic fenêtre de notation

Vous pouvez commenter des parties, ou des coups uniques, avec Shredder Classic. Un double clic sur un coup dans la fenêtre de notation ouvre une boîte de dialogue où vous pouvez choisir le symbole de commentaires désiré.

Sélectionnez le symbole de commentaire désiré avec la souris et confirmez avec OK. Le commentaire est inscrit dans la notation.

Double clic nom du module

Directement au-dessus de la fenêtre d'analyse se trouve l'indication du module d'échecs actif.

Par un double clic sur ce bouton vous démarrez le dialogue de choix pour le chargement d'un module d'échecs.

Clic sur l'affichage de coup

Au dessus de la fenêtre d'analyse se trouve l'affichage du coup du joueur, quand celui-ci a le trait, attendu par le module. Par un clic de souris le coup est joué et reporté sur l'échiquier graphique.


Barre de fonctions

Sur l'écran sous la barre de menus se trouve la barre des icônes. Avec cette barre d'icônes vous pouvez appeler des fonctions souvent utilisées par un clic de souris et se servir ainsi du programme de façon agréable.

Funktionsleiste Shredder Classic

Si pendant le travail avec Shredder vous restez un petit moment avec le curseur de la souris sur une icône, l'explication de la fonction correspondante est affichée.


Raccourcis

Beaucoup de fonctions de Shredder sont disponibles avec une combinaison de touches directement au clavier. Une telle combinaison de touches est désignée comme "raccourci" ou "hotkey".

A côté de chaque élément de menu vous trouverez, si disponible, le raccourci correspondant, par ex. pour démarrer une nouvelle partie avec la combinaison de touches Ctrl-N. Si vous préférez travailler beaucoup au clavier, vous devriez vous imprégner des raccourcis clavier des fonctions les plus courantes.


Options

Dialogue Options

Avec le dialogue Options vous pouvez modifier les paramètres de base de Shredder.

L'accès le plus rapide avec la touche F12. Ou par menu Outils - Options.

Afficher coordonnées

Active les coordonnées des cases à côté de l'échiquier.

Saisie rapide à la souris

Si une seule pièce peut parvenir sur la case cible, il suffit lors de la saisie des coups de cliquer sur cette case. Exemple: Si avec les Blancs vous cliquez sur la case e4 dans la position initiale, le coup e2e4 est joué de suite. De même une pièce cliquée se déplace de suite s'i elle n'a qu'un seul coup légal possible.

Si cette option est désactivée, il faut cliquer sur la case source et cible ou glisser la pièce sur la case cible pour la déplacer.

Adapter temps de réflexion

Si vous modifier le niveau durant une partie, le temps déjà utilisé et le temps restant sont adaptés. Exemple: Vous jouer en 40/15 pour les deux couleurs et il vous reste 6 minutes à la pendule. Vous êtes en train de gagner et voulez changer en 4/5. Sans adaptation il resterait 6 minutes, avec adaptation il ne restera que 2 minutes à la pendule.

Réclamer dépassement de temps

Si vous ou Shredder dépasse le temps de réflexion, Shredder affiche une boîte de dialogue pour vous en informer. Si vous ne désirez pas cette information, vous pouvez l'empêcher par cette option.

Afficher les variantes principales

Le programme affiche toutes les variantes principales calculées dans la fenêtre d'analyse. Par défaut Shredder Shredder n'affiche les variantes principales de sa recherche qu'à l'issue d'un délai de une seconde. Avec cette option, toutes les variantes principales sont affichées dès le début du calcul.

Montrer la variante actuelle

Le programme affiche chaque seconde la variante en cours calculée dans la fenêtre d'analyse.

Étiquette

Shredder peut abandonner ou proposer/refuser une nulle. Ceci est également possible lors des matchs entre modules et les tournois entre modules. Ceci ne fonctionne que si l'option Étiquette est activée.

Sauvegarde automatique

Vous pouvez déterminer si Shredder doit créer un protocole pour toutes les parties jouées. Toutes les parties jouées sont automatiquement enregistrées dans le fichier "autosave.pgn".

Mise à jour automatique

Vous pouvez demander que Shredder vérifie automatiquement à chaque démarrage du programme les mises à jour sur Internet chez www.shredderchess.com. Si l'option est active, Shredder procède à la vérification. Si une nouvelle version existe Shredder est automatiquement actualisé après une demande de confirmation.

Vitesse des pièces

Règle la vitesse de déplacement des pièces sur l'échiquier. Pour 0 les pièces sautent directement de la case source vers la case cible.

Annoncer les coups

La notation est annoncée par les hauts-parleurs. Ceci peut être adapté si un échiquier DGT est utilisé.

Bruitage de pièces

Vous pouvez demander au programme d'attirer l'attention par un son à chaque coup joué.

Professeur

Shredder vous signale les erreurs. Vous pouvez régler le seuil et le temps utilisé pour que le "Professeur" intervienne dans la partie.

Valeur de seuil

Le Professeur n'intervient que si l'évaluation du coup le plus fort et celle du coup joué différent de la valeur du seuil (en centièmes de pions) indiquée.

Temps de calcul

Fixe le minimum de temps de calcul pour cette fonction

Options de bibliothèque -> voir ici ....

Options du module -> voir ici .....


Options de lancement

Options au démarrage

Vous pouvez démarrer Shredder avec les paramètres par défaut si vous maintenez la touche Maj au démarrage du programme.

Vous pouvez empêcher le chargement de la dernière partie en démarrant Shredder avec la touche CTRL enfoncée.


Présentation

La présentation de l'écran sous Shredder Classic

L'écran de Shredder est composé de plusieurs éléments (six fenêtres, barre de fonctions et barre d'état).

Chaque élément peut être fermé et, à nouveau, ouvert par une commande dans le menu des fenêtres .

Toutes les fenêtres peuvent être déplacées et modifiées dans la taille, les fenêtres adjacentes sont automatiquement adaptées. Vous pouvez empêcher ceci en glissant avec la souris la touche Alt maintenue.

Il existe des configurations prédéfinies (répartition dans l'écran) qui peuvent être sélectionnées "Changer configuration" et "Charger configuration" dans le menu Fenêtres -> Configuration fenêtre.

L'échiquier

Fenêtre de notation

Pendules

Fenêtres des coups

Profil de partie

Informations de recherche

Fenêtre d'analyse

Barre d'icônes

Barre d'état

Ligne de titre

Échiquier 3D

La ligne de commande

Différence de matériel


Echiquier

L'échiquier

L'échiquier peut être représenté en deux dimensions ou en graphique 3D. Pour naviguer entre les deux représentations vous utilisez Ctrl-3, choisissez Échiquier 3D dans le menu de configuration ou cliquez sur le bouton correspondant dans la barre d'icônes.

Quand vous modifiez la taille de l'échiquier, celle des figurines est adaptée automatiquement.

Les couleurs (Échiquier 2D, Pièces 2D, texte, fond d'écran) peuvent être modifiées.

Menu Fenêtres -> Design -> Couleurs.

Les coordonnées (numérotation des lignes et rangées) peuvent être activées.

Menu Outils - Options - Afficher coordonnées.

Le dernier coup de l'ordinateur est indiqué par un cadre en couleur sur l'échiquier. Dès que vous bougez le curseur de la souris, le renseignement est enlevé.

Tipp ! Avec la touche F3 (pièces) et F4 (échiquiers) vous pouvez modifier rapidement les composants disponibles. Vous pouvez aussi utiliser le menu contexte clic droit en cliquant sur l'échiquier.


Pendules

Pendules d'échecs

Vous pouvez choisir entre différentes représentations des pendules.

Clic droit sur la fenêtre de la pendule ouvre le menu contexte des pendules.

Simple

Une représentation simple de la pendule avec les temps de réflexion pour les Blancs et les Noirs (heures/minutes/secondes).

Double

Comme la simple mais avec le temps utilisé par coup par couleur.

Digitale blanche

Représentation digitale avec fond blanc.

Digitale noire

Représentation digitale avec fond noir.

Régler pendules

Vous pouvez régler le temps déjà utilisé.

Niveau de jeu

Change le niveau de jeu.

Logo

Affiche ou masque logo.

Fermer

Ferme la fenêtre de la pendule.

Tipp ! Les boutons à côté de la pendule indique quelle couleur a le trait.


Notation

Fenêtre de notation

Dans la fenêtre de notation sont affichés les coups de la partie en cours y compris les commentaires et variantes ainsi que l'en-tête de partie.

Tipp ! Vous pouvez paramétrer l'affichage de la police de caractères et sa taille.

  • Cliquez avec le bouton droit de la souris dans la fenêtre de notation.

  • Cliquez sur l'élément "Police".

  • Définissez la taille et le type de la police.

Avec la molette de la souris vous pouvez avancer et reculer dans la notation.

Vous pouvez mettre en valeur le dernier coup joué avec la couleur de votre choix.

Menu Fenêtres -> Design -> Couleurs - Coup en cours.


Fenêtre des coups

La fenêtre des coups se trouve à l'extrême droite de l'écran.

Par clic droit dans la fenêtre des coups, les informations suivantes peuvent être affichées:

  • coups de la bibliothèque d'ouvertures y compris les statistiques insérées

  • tous les coups légaux comme tous les coups d'une réfutation du programme d'échecs et la suite chronologique de recherche de coups par le programme. Veuillez noter que le programme ne calcule pas forcément la meilleure réfutation pour tous les coups mais souvent une seule qui est satisfaisante. Les variantes proposée sont donc à traiter avec prudence. Cette fonction n'utilise par contre pas de temps de calcul supplémentaire du module.

  • informations des bases de données de finales. Un bouton avec la mention Online.apparaît. Vous pouvez interroger la base de finales en ligne de Shredder pour la position en cours.

Avec Automatique vous pouvez déterminer que l'affichage passe automatiquement entre les trois possibilités. Si dans une position des coups de bibliothèque sont présents, ce sont ceux-ci qui sont affichés. Dans des positions contenues dans les bases de données de finales, ce sont les valeurs de ces bases qui sont affichées. dans les autres cas ce sont les coups légaux.

Si vous cliquez sur un coup dans la fenêtre des coups, il est joué.

Avec un clic droit vous ouvrez le menu contexte pour cette fenêtre.

Si tous les coups d'une bibliothèque d'ouvertures sont affichés, vous pouvez modifier directement, par un clic droit sur un coup, les valeurs enregistrées pour ce coup dans la bibliothèque d'ouvertures.


Profil de partie

Profil de partiel

Le profil de partie montre graphiquement les évaluations de position du programme d'échecs ainsi que le temps de réflexion utilisé.

Vous pouvez voir d'amblée à quel moment la partie a "basculé" selon l'avis du programme.

L'avantage Blancs est indiqué au-dessus de la ligne médiane, celui des Noirs en-dessous. Vert signifie un avantage pour le programme d'échecs, rouge pour le joueur humain. Les lignes noires et bleues montrent l'utilisation du temps de réflexion.

Par un clic sur une marque, vous transmettez la position dur l'échiquier.

Sur l'axe des x sont reportés les coups de la partie, sur l'axe des y l'évaluation (en centi-pions) et le temps de réflexion.

  • Courbe bleue: consommation du temps des Blancs.

  • Courbe noire: consommation du temps des Noirs.

  • Évaluation verte: programme est mieux.

  • Évaluation rouge: adversaire est mieux.

  • Évaluation vers le bas: Noirs sont mieux.

  • Évaluation vers le haut: Blancs sont mieux.

  • Les marques turquoises à gauche dans la fenêtre: indiquent les coups joués depuis la bibliothèque.

  • Barres turquoises à droite: indiquent l'échelle de la fenêtre.


Informations de recherche

Dans la fenêtre d'informations de recherche, le programme affiche ses analyses. Si plusieurs modules fonctionnent parallèlement, les informations de tous les modules actifs sont affichés.

Des informations importantes sur le processus de recherche sont affichées dans la fenêtre de recherche du module actif. Vous reconnaissez toutes les informations intéressantes d'un seul coup d'oeil.

Module calcule

  • Affichage du module d'échecs actif

  • Coup en cours calculé, y compris la valeur à l'intérieur de la liste de coups

  • Profondeur de calcul (brute-force/sélectif)

  • Temps pour le coup

  • Évaluation de position du module d'échecs (affichée en couleur)

  • Positions évaluées par seconde

  • Pourcentage d'utilisation des HashTables

Utilisateur au trait

  • Affichage du coup de l'utilisateur attendu -- est affiché en couleur à côté du pourcentage des HashTables utilisés.

  • Affichage du meilleur coup en réponse à celui de l'utilisateur.

Une aide utile pour la compréhension de la variante principale affiché est l'échiquier des variantes, que vous pouvez activer à tout moment par F11 lorsqu'un module calcule.


Fenêtre d'analyse

Dans la fenêtre de recherche sont affichés les résultats du processus de calcul de chaque module. Dans chaque ligne se trouvent les informations suivantes:

  • Profondeur de recherche

  • Temps par coup, l'évaluation peut avoir changé dans ce laps de temps

  • Évaluation en valeurs de pion

  • Variante en cours calculée

  • Nombre total des positions évaluées

  • Moyenne des positions évaluées par seconde

La variante en cours calculé par le programme est indiquée en couleur pour une meilleure orientation.

L'affichage en couleur de la variante principale et des informations dépend du paramétrage que vous avez effectué sous Fenêtres -> Design -> Couleurs. Si vous avez choisit la couleur rouge pour le coup en coup, la représentation est faite comme ceci:

Après que le programme a exécuté son coup, le meilleur coup est encore affiché en couleur avec des informations importantes dans la liste.

Tipp ! Les analyses de la réflexion permanente sont mis en valeur par une autre couleur.

Si vous activez la Visualisation continue dans le menu contexte, le contenu de la fenêtre n'est effacé qu'à l'arrêt du programme, sinon à chaque nouvelle analyse d'une position. Vous pouvez à tout moment à l'aide de l'ascenceur revenir sur les analyses des coups précédents.

Vous pouvez naviguer confortablement dans la fenêtres d'analyse avec le clavier. Maintenez les touches CTRL et MAJ et utilisez les touches suivantes:

  • Ctrl+Maj+FLECHE VERS LE HAUT une ligne vers le haut

  • Ctrl+Maj+FLECHE VERS LE BAS une ligne vers le bas

  • Ctrl+Maj+ARÊTES VERS LE HAUT une page vers le haut

  • Ctrl+Maj+ARÊTES VERS LE BAS une page vers le bas

  • Ctrl+Maj+ORIGINE au début de la fenêtre

  • Ctrl+Maj+FIN vers la fin de la fenêtre

  • Ctrl+Maj+SUPPR efface le contenu de la fenêtre

Les informations dans la fenêtre d'analyse peuvent être écrites dans un fichier texte. Cliquez avec le bouton droit de la souris dans la fenêtre d'analyse et choisissez dans le menu contexte "Fichier de protocole".

Vous pouvez copiez votre analyse dans le Presse-papiers de cette manière:

Clic droit - Copier (Alt+Maj+C) copie le contenu de la fenêtre d'analyse dans le Presse-papiers.

Clic droit - Copier dernière analyse (Alt+C) copie uniquement l'analyse de la dernière position dans le Presse-papiers.


Barre d'icônes

Dans la barre de fonction se trouve 27 icônes pour les instructions les plus importantes. Faîtes glisser le curseur de la souris sur une icône et patientez une demi-seconde. Une description de la fonction de l'icône est affichée.


Barre d'état

Dans la barre d'état au bord inférieur de la fenêtre du programme les informations suivantes sont affichées:

  • Côté au trait (Blancs ou Noirs)

  • Statut du programme (calcule, calcule en arrière-plan, analyse, attend)

  • le niveau de jeu sélectionné


Barre de titre

Dans la barre de titre des fenêtres ou du programme vous obtenez très souvent des informations importantes, par ex. lors de matchs entre modules ou dans le mode Autoplayer, les classements intermédiaires sont affichés.

Veuillez toujours prêter attention sur d'éventuelles informations dans la barre de titre ou la barre d'état du programme.

Sous Fenêtres - Design vous pouvez activer ou désactiver la barre de titre. Ou plus rapidement avec Maj-F3.


3D-Brett

Echiquier 3D

Pour la représentation 3D un affichage en 256 couleurs minimum est nécessaire. Plusieurs types de figurines et d'échiquier sont disponibles pour la représentation 3D. Cliquez sur le bouton coorespondant dans la barre d'icônes.

Vous pouvez naviguer avec F3 parmi les types de figurines et avec F4 parmi les échiquiers.

Vous pouvez aisément glisser, agrandir, diminuer, tourner ou basculer l'échiquier 3D avec la souris:

  • Pour glisser l'échiquier, cliquez sur le bord supérieur ou inférieur et glissez avec le bouton de la souris appuyé.

  • Pour changer la taille de l'échiquier, cliquez sur le bord droit ou gauche.

  • Pour tourner ou basculer l'éciquier, cliquez sur un des quatres coins et bouger le avec le bouton de la souris appuyé.

Vous pouvez aussi utiliser le pavé numérique du clavier pour adapter l'échiquier 3D.

Les touches Flèches sur le pavé numérique glisse l'échiquier 3D dans la direction correspondante.

ORIGINE sur le pavé numérique agrandit la représentation des pièces.

FIN sur le pavé numérique réduit la représentation des pièces.

Un résumé des raccourcis clavier est disponible ici ....


Différence matériel

Sous la fenêtre de notation, vous voyez le bilan du matériel qui n'affiche que la différence de la répartition du matériel.

Anzeige unterschiedlicher Materialverteilung ....

Dans l'image ci-dessus vous reconnaissez la différence de répartition du matériel entre les Blancs et les Noirs.

Dans le menu contexte de la fenêtre de notation vous pouvez arrêter l'affichage du bilan du matériel.


Echiquier de variantes

Échiquier des variantes

L'échiquier des variantes est une aide utile pour comprendre visuellement la représentation de la variante principale en cours

La représentation graphique de la variante principale est disponible quand Shredder calcule.

Appuyez sur la touche F11 quand Shredder ou un autre module calcule.

La fenêtre suivante est affichée:

Cliquer sur "Automatique" si vous voulez avoir toujours l'affichage de la variante principale actualisée.

Les six boutons permettent les actions suivantes (de gauche à droite):

  • va au début de la variante principale

  • recule d'un coup

  • avance d'un coup

  • va à la fin de la variante principale

  • avec "Actualiser" vous pouvez actualiser la variante principale.

  • "OK" ferme la fenêtre.


Ligne de commandes

Vous pouvez saisir aussi les coups dans Shredder directement au clavier. Vous pouvez le faire en notation longue ou abrégée. Quand vous débutez la saisie, la ligne de commande, où vous pouvez vérifier votre saisie, est ouverte automatiquement.

Exemples:

e2e4

d4

Nf3

b1c3

0-0

Astuce: Calculer rating de tournoi


Design/Layout

Design + Configuration des fenêtres

Dans le menu Fenêtres vous trouvez les éléments Design et Configuration des fenêtres. Vous pouvez y déterminer des paramètres personnels pour adapter l'écran selon votre souhait.

Exemple: L'affichage du dernier coup dans la notation et sur l'échiquier est présent en bleu discret après l'installation. Vous pouvez modifier ce paramétrage. Choisissiez Fenêtres - Design - Couleurs - Coup en cours. Si vous choisissez la couleur rouge le coup en cours dans la notation et dans la variante principale.

Vous pouvez enregistrer diverses configurations et les récupérer à tout moment.

Pour la configuration des fenêtres la position des fenêtres est sauvegarder en premier lieu. Vous devriez créer et sauvegarder les configurations correspondantes aux divers domaines d'utilisation. Vous avez accès à des configurations prédéfinies ou vous pouvez créer et charger vos propres configurations.


Saisir coups

Saisir des coups

Le plus simple est de saisir les coups avec la souris sur l' échiquier graphique. Déplacez le curseur de la souris sur la pièce désirée, appuyez sur le bouton gauche de la souris et glissez la pièce avec le bouton maintenu sur la case cible. Puis relâchez le bouton de la souris

Tipp Vous pouvez exécuter tous les coups apparaissant dans la fenêtre de notation en cliquant dessus.

Vous pouvez aussi saisir les coups au clavier dans la ligne de commandes.


Nouvelle partie

Vous pouvez démarrer une nouvelle partie à tout moment.

Pour cela choisissez le menu Fichier -> Nouvelle partie, utilisez la combinaison de touches Ctrl-N .


Coups spéciaux

  • Pour la prise d'une pièce adverse, vous saisissez le coup de votre propre pièce.

  • Pour roquer, vous saisissez le déplacement de votre Roi.

  • Pour une prise en passant, vous saisissez le coup de votre pion.

  • Pour promouvoir un pion, vous jouez le coup qui amène le pion sur la dernière rangée. Une boîte de dialogue est ouverte. Vous choisissez la figurine désirée.

    • Clavier: saisissez le coup du pion, mais remplacez le chiffre (1 ou 8) par l'initiale de la figurine désirée, par ex. b7bD (b7-b8D) ou a2bN (a2xb1N). Respectez les majuscules et minuscules

    • Abréviation des pièces K=Roi, D=Dame, R=Tour, B=Fou, N=Cavalier


Programme calcule

Vous voyez à la mention "calcule..." dans la barre d'état que Shredder calcule son coup.

Si Shredder, ou un autre module, a joué son coup, la pièce déplacée est entourée d'un cadre de couleur. A ce cadre vous pouvez savoir que vous avez le trait. Si vous bougez le curseur de la souris ou appuyez sur une touche, le cadre disparaît.

Pendant que Shredder calcule, vous ne pouvez pas vous servir de nombreuses commandes de menus. Vous êtes inactifs et apparaissez en écriture claire.

Vous ne pouvez pas jouer de coup non plus. Attendez que Shredder ait joué.

Au début d'une partie, Shredder peut extraire des coups depuis la bibliothèque d'ouvertures et ne doit pas calculer.

Vous pouvez interrompre Shredder à tout moment. Appuyez sur la touche Echap.


Fin de partie

Si une partie est terminée, Shredder affiche une information.

Elle peut s'intituler:

  • Les Blancs ont gagné!

  • Les Noirs ont gagné!

  • Pat! Nulle!

  • Règle des 50 coups, Nulle!

  • Nulle! Pas assez de matériel pour gagner!

  • Nulle par triple répétition de positions!.


Jouer avec les Noirs

Clic droit sur l'échiquier et Tourner échiquier retourne l'échiquier. Ou avec le raccourci clavier Ctrl+F.

Laissez exécuter le premier coup par Shredder par Calculer depuis le menu Commandes. Ou avec le clavier avec Ctrl+C.


Visionner partie

Vous pouvez facilement naviguer à travers une notation de partie. Utilisez pour cela les boutons de navigation de la barre de fonction.

L'utilisation ressemble à celle d'un magnétoscope et se comprend par elle-même.

Reprendre des coups et visionner

  • Pour revenir d'un coup utilisez FLECHE-VERS LA GAUCHE.

  • Pour avancer d'un coup FLECHE-VERS LA DROITE.

Visionner coups

  • Avec FLECHE-VERS LE HAUT vous reprenez cinq coups.

  • Avec FLECHE-VERS LE BAS vous avancez de cinq coups.

Aller au début de la partie

Appuyez sur ORIG pour sauter au début de la partie. Vous pouvez ensuite visionner les coups de la partie.

Aller à la fin de la partie

Pour aller à la fin de la partie, appuyez sur FIN ou cliquez sur le bouton correspondant de la barre de navigation.

J`adoube

Si vous avez saisi un coup par erreur, vous pouvez reprendre la saisie par un clic sur le bouton FLECHE rouge.

Variantes

Pour visionner des variantes, utilisez les boutons FLECHE vers le haut ou vers le bas.

Tipp Vous pouvez sauter dans une position donnée de la partie en cliquant sur le coup correspondant dans la fenêtre de partie.


Niveaux de jeu

Avec les différents niveaux de jeu, vous fixez le temps utilisé et la force de jeu du programme.

Les niveaux de jeu sont réglés par le Menu Niveaux de jeu.


Niveau d'analyse

Dans le mode Analyse, aucun niveau de jeu n'est actif, car il n'y a pas de dépassement de temps. Si dans le mode Analyse vous activez un niveau de jeu, il est modifié en "Normal".

Avec Ctrl-A ou l'ordre Analyse depuis le menu Mode, vous passez en mode Analyse.

Dans la mode Analyse le programme calcule en permanence la position en cours mais n'exécute aucun coup. Vous pouvez donc saisir des coups pour les deux couleurs et observer en continu l'analyse d'un ou plusieurs modules actifs.

Vous pouvez faire exécuter le premier coup de la variante principale par un clic. Ceci fonctionne aussi dans le cas de plusieurs variantes principales.

Le mode Analyse est la méthode la plus simple, la plus fréquente et la plus confortable pour l'analyse. Dans le mode Analyse vous pouvez utiliser jusqu'à 10 modules en parallèle et analyser avec eux. L'affichage simultané des différents programmes et une aide appréciable pour l'évaluation de la position en cours sur l'échiquier.

Tipp Avec CTRL-ORIGINE vous reprenez le meilleur coup dans la notation.


Saisir position

Saisir une position

Vous pouvez saisir à tout moment des positions d'échecs ou modifier la position en cours sur l'échiquier.

Choisissez avec un clic droit sur l'échiquier "Saisir position" ou CTRL+D pour ouvrir le dialogue de saisie de position. La position en cours apparaît dans le graphique comme exemple.

  • Pour ajouter une pièce, cliquez sur le type de pièce à droite à côté de l'échiquier. Le curseur de la souris se transforme dans la représentation de cette pièce quand le curseur est au-dessus de l'échiquier. Cliquez sur une case de l'échiquier pour y poser la pièce.

  • Si vous cliquez avec le bouton droit de la souris sur l'échiquier vous déposez la pièce de couleur opposée.

  • Si vous cliquez avec le bouton central de la souris sur une pièce de l'échiquier elle est ôtée et prise en compte comme pièce de saisie.

  • Pour enlever une pièce double cliquez sur sa case.

  • Avec la roulette de la souris vous pouvez changer la pièce de saisie en cours.

  • Avec le bouton Vider échiquier, vous enlevez toutes les pièces de l'échiquier.

  • Cliquez sur Position en cours pour annuler les modifications et revenir à la position initiale.

  • Avec un clic sur le bouton OK vous fermez la saisie de position. Si la position n'est pas légale, ce bouton est inaccessible.

  • Vous pouvez cliquer sur Annuler pour quitter sans modification la saisie de position.

  • Avec le Droit aux roques vous pouvez déterminer si les roques sont possibles. Si le Roi ou les Tours ne sont plus sur leur place initiale, les roques ne se laissent plus activer.

  • Avec les boutons droit, gauche, haut et bas la position peut être décalée d'une rangée ou d'une colonne.

  • Le bouton vert. permet de faire un miroir vertical de la position, c à d que les colonnes a et h sont interverties.

  • Le bouton horiz. permet de faire un miroir horizontal, c à d que les Blancs et Noirs sont échangés

  • Comment poser une pièce ?

  • Comment enlever une pièce ?

  • Comment enlever toutes les pièces ?

  • Comment rétablir la position en cours ?

  • Pourquoi le bouton "OK" est-il grisé ?

  • A quoi servent les six petits boutons à droite de l'échiquier ?

  • Quelle signification ont les champs Droit aux roques ?


Poser une pièce

Cliquez sur la pièce choisie à côté de l'échiquier.

Vous pouvez aussi sélectionner la pièce avec la molette de la souris.

Le curseur de la souris se transforme dans la pièce sélectionnée quand il est au-dessus de l'échiquier. Cliquez avec le bouton gauche de la souris sur la case cible de l'échiquier pour poser la pièce.

Remarque: avec un clic sur le bouton droit de la souris vous posez la pièce de couleur inverse sur l'échiquier.


Enlever une pièce

Cliquez deux fois sur la case concernée pour enlever la pièce.

Vous pouvez aussi cliquer sur la pièce avec le bouton central de la souris.


Enlever toutes les pièces

Cliquez sur le bouton Vider échiquier.


Placer position en cours

Cliquez sur le bouton Position en cours. La position sur l'échiquier principal est prise en compte.


Bouton OK inactif

Que faire si le bouton OK est grisé et apparemment inactif ?

Le bouton "OK" est affiché en grisé si la position saisie ne correspond pas aux règles.

Vérifiez la position sur l'échiquier.

Ou cliquez sur Annuler pour interrompre la saisie de position sans modification.


Six boutons de commande

  • Avec les boutons droit, gauche, haut et bas la position peut être décalée d'une rangée ou d'une colonne.

  • Le bouton vert. permet de faire un miroir vertical de la position, c à d que les colonnes a et h sont interverties.

  • Le bouton horiz. permet de faire un miroir horizontal, c à d que les Blancs et Noirs sont échangés.


Droits aux roques

Vous fixez si les Noirs ou les Blancs ont encore le droit d'effectuer le petit ou le grand roque. Si les Rois ou les Tours ne sont plus sur leurs cases d'origine, ces options sont désactivées.


Sauvegarder/Charger

Charger et enregistrer des positions

Shredder peut sauvegarder des positions au format EPD mais aussi aux formats CBF et PGN.

Les fichiers EPD peuvent contenir plusieurs positions. Vous pouvez ajouter un commentaire lors de la sauvegarde d'une position au format EPD qui sera utilisé comme "coup candidat" lors de l'analyse des fichiers EPD. Shredder n'enregistre pas d'autres informations dans les fichiers EPD.

Pour sauvegarder et charger des positions, vous utilisez les commandes correspondantes dans le menu Fichier. Pour charger une position depuis un fichier EPD vous devez savoir à quel endroit elle est enregistrée.

Vous pouvez voir le contenu des fichiers EPD dans ledialogue de chargement EPD.

Il est plus intéressants de sauvegarder les positions dans des bases de données CBF ou PGN car dans ces formats on peut aussi enregistrer les en-têtes de partie.


Bases de données

Bases de donnés

Shredder utilise les formats PGN et CBF pour la sauvegarde et le chargement des bases de données.

Une base de données peut contenir pratiquement un nombre illimité de parties. En plus des coups, sont enregistrés aussi les données de la partie (noms des joueurs, résultat, lieu, etc.), commentaires et variantes. Le format PGN est pris en compte par beaucoup d'autres programmes d'échecs. Les fichiers PGN sont des fichiers texte qui peuvent être édités par un traitement de texte ou un éditeur. Il n'est pas adapté pour de grandes quantités de parties car l'accès à de grands fichiers PGN est relativement lent.

Le format CBF est également utilisé par quelques autres programmes d'échecs. Il provient essentiellement de programmes de base de données ChessBase. Les bases de données CBF sont constituées de deux fichiers: un fichier CBF et un fichier CBI. Le format CBF nécessite relativement peu de place et est mieux adapté que le format PGN pour de grandes quantités de parties. Il comporte néanmoins quelques restrictions:

  • On ne peut enregistrer que des millésimes et non des dates entières.

  • Il n'y a qu'un champ pour la désignation de tournoi, alors que dans le format PGN il existe un champ "Source" et un champ "Lieu".

  • Les niveaux Elo ne peut être sauvegarder que dans des nombres à cinq chiffres (de 1605 à 2875).


Sauvegarder parties

Choisissez Sauvegarder partie dans le menu Fichier ou le raccourci clavier Ctrl+S.

Le dialogue d'en-têtes de partie est affiché pour saisir les données de la partie.

Si plus tard vous chargez la partie, une liste avec les données de partie est affichée. Vous devriez remplir au moins les champs Blancs, Noirs et Source pour pouvoir retrouver la partie ultérieurement avec la fonction de recherche. Cliquez sur le bouton Sauvegarder après avoir saisi les données.

Si aucune base de données pour la sauvegarde n'est active, la boîte de dialogue standard de Windows apparaît. Indiquez absolument le format de fichier dans Type de fichier, par ex. "mesparties.pgn".

Vous pouvez aussi choisir la base de données pour la sauvegarde sous Changer DB. Choisissez une base de données et cliquez sur Sauvegardez.

Tipp ! Pour sauvegarder une partie dans une nouvelle base de données, indiquez sous Nom de fichier le nom désiré.

Des informations pour charger et enregistrer des positions sont disponibles ici ....


Charger parties

Choisissez dans le Menu Fichier "Charger partie" ou le raccourci Ctrl+L.

Choisissez la base de données désirée. Au choix les deux formats de fichier, CBF et PGN, sont disponibles.

La liste de parties de la base de données est affichée. Les données de parties suivantes sont affichées:

  • Blancs

  • Noirs

  • Sources

  • Ronde

  • Code ECO

  • Résultat

Utiliser l'ascenceur pour voir les parties suivantes. Marquez la partie voulue et cliquez sur "Charger" ou double-cliquez la partie dans la liste. La partie est chargée avec la position finale.

Après avoir chargé une partie vous pouvez charger la partie suivante par F8 et la partie précédente par F7. Si vous préférez travailler avec la souris, deux boutons dans la barre de fonctions charge la partie précédente de la liste et charge la partie suivante de la liste sont utilisés.


Remplacer parties

Vous pouvez remplacer la dernière partie chargée avec la commande adéquate du menu Fichier. Alternativement par Ctrl-R.

Suite à cette demande apparaît le dialogue d''en-têtes de partie. Vous pouvez y corriger par ex. des saisies incorrectes. Si vous fermer le dialogue d'en-têtes de partie par un clic sur "Sauvegarder", la partie en cours remplace la partie chargée en dernier.

Tipp ! Vous ne pouvez pas remplacer une partie si une nouvelle partie a débuté, une saisie de position a été faite ou si une position a été chargée depuis un fichier EPD.


Effacer parties

Effacer des parties

Vous pouvez effacer des parties dans les bases de données. La manière de procéder est équivalente au chargement de parties.

La fonction "Effacer partie" dans le Menu Fichier ouvre la liste de parties.

Marquez les parties à effacer et cliquez sur le bouton "Effacer".

Tipp ! Les parties dans les bases de données CBF ne sont pas supprimées physiquement mais uniquement marquées à l'effacement. Elles sont ensuite affichées en grisé.


Rechercher parties

Vous pouvez rechercher des parties dans les bases de données. Cliquez dans la liste des parties sur le bouton "Chercher" pour ouvrir le masque de recherche.

Vous pouvez faire une recherche sur les critères suivants:

  • Noms des joueurs

  • Source

  • Lieu

  • Ronde

  • Résultat

  • Année

  • Elo

  • Ouverture

Pour le nom du joueur, vous pouvez restreindre la recherche sur une couleur donnée.

Il y a une distinction entre une écriture en majuscules et en minuscules. La recherche peut se faire sur des fragments de texte. Par ex. si vous faites une recherche de joueur sur "stein", les parties du premier Champion du Monde Steinnitz comme aussi celles de Bronstein sont indiquées.

A l'aide de la case de contrôle au bas de la liste de parties, vous pouvez faire afficher/masquer par le masque de recherche toutes les parties ou uniquement celles recherchées.

Info ! Une recherche sur des positions ou des coups n'est pas possible.


Commenter parties

Commenter des parties

Avec Shredder vous pouvez commenter les parties et insérer des variantes dans la notation de partie.

Pour saisir ou éditer des commentaires choisissez "Saisir commentaire" dans le menu contexte de la fenêtre de notation ou Ctrl-M.

En plus des commentaires texte, le programme "comprend" aussi plusieurs types de commentaires spéciaux qui peuvent saisi par un clic dans le champ de commentaire. Ces commentaires spéciaux sont souvent affichés par des symboles particuliers.


Saisir variantes

Si pendant la lecture d'une partie vous saisissez un coup avec la souris ou au clavier une boîte de dialogue apparaît pour savoir si les nouveaux coups doivent être insérer comme variantes dans la notation avec les possibilités suivantes:

Cliquez sur Oui pour insérer une nouvelle variante.

Pour remplacer la suite de la partie, cliquez sur Non.

Vous pouvez forcer les variantes en saisissant un coup avec la touche Alt enfoncée. Si vous saisissez une coup avec les touches Ctrl+Alt maintenue, la suite de la partie est remplacée sans demande supplémentaire.

Vous pouvez insérez la variante principale de la fenêtre de recherche avec Insérer variante principale dans le menu Commandes. Si cette commande est utilisé à la position finale de la partie, celle-ci est prolongée de la variante principale. Au milieu de partie, une nouvelle variante est insérée. En plus des coups l'évaluation de position, la profondeur de recherche et le temps de recherche en secondes sont ajoutées comme commentaire texte.


Editer variantes

Éditer les variantes

Vous pouvez effacer, changer l'ordre ou couper les variantes.

  • Pour effacer une variante, placez vous sur n'importe quel coup de la variante et appuyez sur la touche SUPPR.

  • Pour promouvoir une variante (la remonter d'une position vers le haut), appuyez sur CTRL-FLECHE VERS LE HAUT.

  • Pour couper les derniers coups d'une variante, placez vous sur le dernier coup à conserver et appuyez sur CTRL-SUPPR. Ceci fonctionne également pour les coups d'une partie.

Alle Ces actions peuvent aussi être faites à partir du menu contexte de la fenêtre de notation.


Dialogue de chargement EPD

Shredder offre une boîte de sélection pour le chargement de fichiers EPD.

Vous pouvez appeler la boîte de dialogue pour les fichiers EPD par un clic sur le bouton "Charger position" dans la barre d'icônes, ou par le l'élément de Charger position du menu Fichier ou par le raccourci Ctrl-I.

Après l'ouverture d'un fichier EPD, vous avez les éléments suivants dans la boîte de dialogue:

L'échiquier d'aperçu

Sur l'échiquier d'aperçu vous obtenez l'affichage de la position correspondante à l'élément sélectionné dans la fenêtre de liste.

La fenêtre de liste

Dans la fenêtre de liste se trouvent les différents éléments EPD. Par clic sur un élément, la position correspondante est affichée sur l'échiquier d'aperçu.

Élément EPD - Ligne

Dans le champ de saisie est indiquée la ligne EPD de la position affichée. Vous pouvez copier la ligne par la combinaison de touches CTRL-C et la transmettre par le Presse-papiers dans d'autres applications (programmes d'échecs).

Boutons de navigation

Avec les boutons de navigation vous pouvez feuilleter rapidement les éléments de la liste. Par pas de un ou dix. Les boutons aux extrémités renvoient au début ou à la fin de la liste.


Qu'est-ce que EPD ?

A l'inverse de PGN, le format EPD, également basé sur Ascii (texte pur) et particulièrement adapté pour la sauvegarde de positions d'échecs, est moins connu.

dans un fichier EPD, vous pouvez sauvegardez plusieurs positions dans un seul fichier Ascii.

Avec le menu Fichier -> Charger/Sauvegarder position vous pouvez charger des positions depuis un fichier EPD ou enregistrer vos propres positions dans de nouveaux fichiers EPD.


Qu'est-ce que PGN ?

Le format PGN est un format standard pour la sauvegarde de parties d'échecs. Il est pris en compte par Shredder comme par beaucoup d'autres programme d'échecs et est ainsi très important pour l'échange de données. Par ex. il est possible d'insérer des parties au format PGN en passant par le Presse-papiers. Sur Internet, vous trouverez par ex. une masse de parties au format PGN que vous pourrez charger directement dans Shredder par ce moyen.


Saisir/Editer

Saisir et éditer des commentaires

Avec Shredder vous pouvez commenter les parties et insérer des variantes dans la notation de partie.

Pour insérer ou éditer des commentaires, choisissez dans le menu contexte de la fenêtre de notation "Saisir des commentaires..." (CTRL+M).

Voir aussi Commenter coups de bibliothèque ....


Saisie de variantes

Si pendant le visionnage d'une partie vous saisissez avec la souris ou au clavier, une boîte de commande vous demande si le coup doit être inséré comme variante dans la notation.

Vous avez les possibilités suivantes:

  • Cliquez sur "Oui" pour insérer une nouvelle variante.

  • Pour remplacer la suite de la partie, cliquez sur "Non".

Vous pouvez forcer les variantes quand vous saisissez un coup avec la touche Alt maintenue. Si vous saisissez un coup avec les touches Ctrl-Alt (ou AltGr sur un clavier français) maintenues, la suite de la partie est remplacée sans confirmation.

Vous pouvez inséré la variante en cours depuis la fenêtre d'informations de recherche avec CTRL-INSER. Si cette commande est choisie à la position finale d'une partie, elle sera prolongée de la variante principale. Au milieu de partie la commande insère comme nouvelle variante. Aux coups sont ajoutés en tant que texte l'évaluation de position, la profondeur de recherche et le temps de calcul en secondes.


Edition de variantes

Éditer des variantes

Vous pouvez effacer, changer l'ordre ou couper les variantes.

  • Pour effacer une variante, vous allez à n'importe quel coup de la variante et choisissez dans le menu contexte Effacer variante (Suppr).

  • Pour promouvoir une variante (la glisser d'une position vers le haut), Choisissez dans le menu contexte Promouvoir variante (CTRL+FLECHE VERS LE HAUT).

  • Pour effacer les derniers coups d'une variante, allez sur le dernier coup que vous voulez conserver et choisissez dans le menu contexte Effacer le restant de coups (MAJ+SUPPR). Cette commande fonctionne non seulement dans les variantes mais également pour les coups de la parties.

Vous pouvez aussi appeler ces commandes dans le menu contexte de la fenêtre de notation.


Joker-Analyse

Analyse Joker

Dans les finales à trois, quatre, cinq et certaines six pièces, une fonction d'analyse unique est disponible: Joker-Analyse. Lors de l'analyse Joker Shredder utilise les informations des Tablebases de Eugene Nalimov.

Vous activez l'analyse Joker par un clic droit sur l'échiquier ou Alt-E. La fonction n'est disponible que si la finale correspond aux bases de données de finales installées.

Pour l'analyse Joker, une pièce est retirée de l'échiquier et mise en oeuvre sur toutes les cases de l'échiquier. L'évaluation de la position est notée directement sur la case correspondante de l'échiquier.

Hinweis ! Pendant l'analyse Joker, la partie en cours est effacée. Vous devriez, si nécessaire, la sauvegarder au préalable.

Exemple: Posons nous la question suivante: Où doit se trouver le Roi blanc pour que la finale R + D contre R + Pion f2 soit encore à gagner. Pour cela nous installons une position de ce type dans Shredder, choisissons Joker Analyse puis cliquons sur le Roi blanc.

En quelques secondes, Shredder indique les cases où le Roi peut être placé légalement. De plus il affiche l'information si la position du Roi sur une case est nulle ou gagnante. Si la position est gagnante, le nombre de coups jusqu'au mat est indiqué. Cette fonction peut être utilisée pour toute finale jusqu'à six pièces, pour cela on peut utiliser toutes les pièces sur l'échiquier et pas seulement le Roi comme Joker. Avec quelques coups de souris, on peut répondre à des questions pour lesquelles les théoriciens des finales ont parfois eu besoin d'années comme par exemple où doit se trouver le pion dans une finale RDp-RD pour avoir les plus grandes chances de gains ou pour la nulle. Cette évaluation ne représente pas l'opinion de Shredder mais la "valeur réelle" de la position à partir des bases de données des finales.

Oracle de finale


Triple Brain

Le Triple Brain est un tout nouveau concept pour combiner les avantages de deux modules et obtenir l'optimum pour l'analyse. Les modules "normaux" analysent une position donnée alors qu'un troisième programme prend la décision entre l'alternative du meilleur coup. Dans Shredder , le module qui décide est appelé "Triple Brain". Le Triple Brain indique dans sa propre fenêtre une échelle d'évaluation de 0 à 100%. A l'aide de ce pourcentage, l'utilisateur peut voir le degré de certitude pour l'évaluation et le choix du coup par Triple Brain.

Exemple: la valeur 100% signifie que le Triple Brain ne reconnaît pas de meilleure alternative pour l'évaluation d'un coup. "100%" fournit l'information qu'à l'avis de Triple Brain, il existe un coup nettement avantageux. Pour que Triple Brain puisse faire jouer son avantage, il faudrait que les deux autres modules, à partir des évaluations desquels Triple Brain choisit le meilleur coup, soient très différents l'un de l'autre dans leur style de jeu.

Remarque: Vous pouvez modifier le Shredder Engine et créer vos propres modules qui se distinguent par leur style de jeu.

Le contrôle des temps de réflexion sont également pris en charge par Triple Brain dans ce mode.

Informations dans la fenêtre de Triple Brain

En complément des informations décrites plus haut, le module Triple Brain affiche dans la ligne en rouge dans la fenêtre de recherche:

Info Triple Brain

  • la profondeur de recherche des deux modules actifs

  • le temps d'analyse

  • le pourcentage du degré de certitude de l'évaluation d'un coup donné par Triple Brain.

  • le meilleur coup de l'avis du module décideur

  • le dernier élément est le nom du module dont l'évaluation donne le coup favori pour le moment.

La taille de Hashtables utilisée et le nombre de noeuds sont également affichés, mais uniquement les valeurs moyennes des modules calculateurs. L'affichage des détails est indiquée dans la ligne d'information au-dessus des fenêtres d'analyse respectives.


Mode Analyse

Le mode Analyse

Par Ctrl-A ou la commande "Analyse" dans le menu Mode, vous basculez dans le mode Analyse.

Dans le mode Analyse le programme analyse en permanence la position en cours mais ne joue pas de coup. Vous pouvez saisir les coups des deux côtés et voir en continu les analyses d'un ou plusieurs modules actifs dans la fenêtre de recherche.

CTRL-INSER reprend la variante principale dans la notation.

Le mode Analyse est la méthode la plus simple, la plus courante et la plus confortable pour analyser. Dans le mode Analyse vous pouvez utiliser jusqu'à 10 modules en parallèle. L'affichage simultanée de l'analyse de différents programmes d'échecs est une aide utile pour l'évaluation de la position en cours sur l'échiquier.


Analyse multi-variantes

Shredder peut lors de l'analyse d'une position faire des recherches sur le meilleur coup mais également analyser autant de suites que possible.

Avec la touche F6, vous pouvez augmenter le nombre des coups recherchés. Le programme établit une liste des meilleures suites avec l'évaluation de la position et la variante principale, et les affiche dans la fenêtre de recherche.

Avec la touche F5, vous pouvez diminuer le nombre des variantes. Vous pouvez appeler cette fonction dans le menu contexte de la fenêtre des informations de recherche .

Plus le nombre de suites à analyser est élevé, plus de temps sera nécessaire pour atteindre une plus grande profondeur de recherche. D'autre part le programme analyse les suites annexes nettement plus à fond que lors de l'analyse normale.

Tipp ! Vous pouvez configurer le mode multi-variantes par un clic droit dans la fenêtre de recherche.


Analyser parties

Analyser des parties

Vous pouvez faire analyser automatiquement une partie par Shredder. Choisissez dans le Menu Mode Analyser partie pour lancer l'analyse de la partie en cours. Vous pouvez aussi appeler la boîte de dialogue par Ctrl-F10.

Les options suivantes sont disponibles:

  • Côté: pour lequel les coups seront analysés (Blancs, Noirs ou les deux).

  • Analyser coups n°: qui seront analysés (par défaut coup 1 à fin de partie).

  • Valeur de seuil: seules sont affichées les analyses si l'évaluation du meilleur coup est au moins différente de la valeur choisie (en valeur de pions) du coup de la partie. Si la valeur de seuil est mis à 0, toutes les analyses sont affichées.

  • Effacer commentaires/variantes: les commentaires et/ou les variantes existants sont effacés de la notation.

  • Temps par coup: le temps de réflexion est toujours dépendant du niveau de jeu en cours. Vous pouvez dans ce dialogue fixer le temps moyen ou exact par coup pour l'analyse de la partie.

Les analyses de Shredder sont insérées comme variantes dans la partie. Les évaluations, profondeurs de recherche et les temps de réflexion en secondes sont enregistrés comme commentaires texte. Les parties sont analysées de la fin vers le début. Ceci améliore la qualité des analyses car après l'analyse et le retrait d'un coup, les informations d'évaluation et des Hastables sont conservées pour le coup suivant.

Les coups contenus dans la bibliothèque d'ouvertures activées ne sont pas analysés


Choisir coups

Choisir les coups à analyser

Vous pouvez déterminer quels coups doivent être analyser et lesquels ne le doivent pas. Basculer d'abord dans le Mode Analyse.

Maintenez la touche Ctrl pendant que vous effectuez un coup sur l'échiquier. Vous limitez ainsi l'analyse de Shredder à ce coup. Vous pouvez renouveler l'opération et choisir plusieurs coups pour l'analyse.

Si vous effectuez un coup une deuxième fois avec la touche Ctrl maintenu, il est ôté de la liste des coups à analyser.

Si un coup est affiché dans la fenêtre des coups, vous pouvez le cliquer avec la touche Ctrl enfoncée pour le sélectionner.

En comparaison avec le Mode Analyse normal, le programme peut parvenir plus rapidement à une plus grande profondeur de recherche. Néanmoins il vous appartient de prévoir que tous les coups qui pourraient être forts soient analysés. Si vous effectuez un coup avec la touche Maj enfoncée, il sera exclu de l'analyse. Vous pouvez saisir plusieurs coups avec la touche Maj enfoncée pour exclure plusieurs coups.

Si un coup est effectué deux fois avec la touche Maj enfoncée, l'exclusion de l'analyse est levée. Il semble judicieux d'utiliser cette fonction pour exclure des coups faibles de l'analyse. Le gain de temps est néanmoins minime car Shredder n'analyse que brièvement des coups qui sont effectivement non rationnels. L'exclusion d'analyse est à utiliser plus efficacement pour exclure (d'après l'opinion de Shredder) le meilleur coup de l'analyse si pour des raisons diverses cette suite ne vous intéressent pas.


Analyser plusieurs positions

Analyser une base de données de positions

Dans un fichier EPD plusieurs positions peuvent être enregistrées.

Shredder peut analyser automatiquement toutes les positions d'un fichier EPD. Pour chaque position un "coup solution" devrait être fixé. Le programme affiche après l'analyse une statistique des positions solutionnées.

Le coup solution doit être indiqué dans un fichier EPD dans le format suivant: "bm" (best move) et le coup coup en notation courte avec les abréviations anglaises pour la pièce, par ex. bm Nxf7 ou bm Bb5+. Avec "am" (avoid move) on peut indiquer des coups à éviter.

Vous pouvez saisir le commentaire lors de la sauvegarde d'une position. Si vous voulez insérer les coups solution dans un fichier EPD existant, chargez le fichier dans un éditeur de texte et insérez le coup solution à la fin de la ligne.

Pour interrompre une analyse EPD, choisissez n'importe quel autre mode de jeu, par ex. "Normal" ou " Analyse. A l'issue d'une analyse EPD, deux tableaux sont affichés dans la fenêtre d'analyse. Le premier tableau donne le temps de résolution (en secondes) de chaque position, le deuxième tableau montre combien de positions ont été résolues.

Tipp ! Pour l'analyse EPD le niveau de jeu "Temps exact/coup" est particulièrement adapté.


Introduction

Système Multi-Engine

Shredder a été conçu comme système Multi-Engine.

Ceci signifie que l'interface graphique et le programme d'échecs lui-même sont strictement séparés et communiquent par une passerelle définie. Dans Shredder, il est possible de faire fonctionner 10 modules d'échecs en parallèle -par ex. pour l' analyse .

Ainsi le système est idéal pour pouvoir travailler avec un nombre important de programmes d'échecs sous la même interface.

Shredder utilise deux standards différents de modules d'échecs:

  • UCI Engines

  • WinBoard Engines


UCI-Engines

UCI est l'abréviation pour Universal Chess Interface et est un nouveau protocole développé par Stefan Meyer-Kahlen et Rudolf Huber. Le protocole est inspiré du standard pour les WinBoard-Engines, mais présente par rapport au protocole WinBoard les avantages suivants:

  • les UCI-Engines sont reconnus et intégrés automatiquement dans Shredder.

  • les UCI-Engines peuvent être configurés dans des boîtes de dialogues uniques. Les importantes options de base et les fonctions spécifiques au module ne doivent pas être paramétrées, comme pour les WinBoard Engines, dans des fichiers de configuration externes.

  • les UCI-Engines utilisent les possibilités de l'interface graphiques de Shredder.

Remarque: l'interface UCI est très proche du protocole WinBoard. Ceci signifie que les WinBoard Engines existants peuvent être adaptés sans grande difficulté pour l'utilisation sous Shredder. Pour les programmeurs intéressés, cette solution présente les avantages suivants:

  • leur propre module peut être testé plus confortablement sous la GUI de Shredder.

  • le module fonctionne à pleine performance sans adaptateur supplémentaire.

  • la popularité du module augmente chez les utilisateurs, car une configuration et l'intégration laborieuse sous la GUI Shredder est inutile à l'inverse des WinBoard-Engines.

  • le protocole UCI peut être utilisé sans droits pour leur propre programme même à des fins commerciales.

La documentation pour le protocole UCI est disponible sous www.shredderchess.com.

Si vous voulez créer votre propre UCI-Engine, Shredder propose deux fonctions qui simplifie beaucoup cela.

Dans la ligne de commande vous pouvez activer ou arrêter un mode Debug avec "ucidebug". En mode Debug l'ensemble de la communication avec le module est affichée dans la fenêtre d'analyse.

Avec "ucilog" vous pouvez demander à Shredder d'enregistrer l'ensemble de la communication avec le module dans le fichier "ucilog.txt".

Les deux fonctions sont désactivées au lancement de Shredder.


WinBoard-Engines

En plus du protocole UCI Shredder permet l'intégration de WinBoard-Engines. La communication entre l'interface de Shredder et le WB-Engine se fait à travers un convertisseur.

Installation de WinBoard-Engines

L'installation de WinBoard-Engines sous Shredder a été résolue de manière simple. A l'inverse d'autres systèmes il n'est pas nécessaire de créer des fichiers de configuration particuliers avec le chemin du répertoire vers le module. Ceci signifie que vous pouvez enregistrer et gérer les WB-Engines dans le répertoire et la partition que vois désirez.

Pour l'intégration sous Shredder, vous proposez comme suit:

  • Choisissez sous Outils / Modules l'élément Installer module.

  • Choisissez sous type de module WinBoard Engine.

  • Une boîte de dialogue avec la mention Installer module WinBoard apparaît.

  • A côté du champ de saisie se trouve un bouton avec 3 points. Cliquez sur ce bouton pour déterminer le chemin du module à l'aide de la souris.

  • Sur l'écran apparaît la boîte de choix de fichier standard de Windows.

Après avoir choisi le module, ou le chemin, validez la saisie par OK.

Vous devriez encore saisir le nom du module et de l'auteur. Quand vous chargerez ultérieurement le module sous Shredder ce sont des indications qui seront affichées dans le dialogue de chargement puis dans la fenêtre d'analyse.

Hinweis Remarque: Shredder crée automatiquement un fichier de configuration avec l'extension *. ENG. Le fichier texte est composé comme suit:

[ENGINE]

Name=Comet

Author=Dr. Ulrich Türke

Filename=D:\buffer\wb2uci.exe

[OPTIONS]

LoadEngine=D:\buffer\wbengines\Comet_A98.exe

[ENGINE] dans ce paragraphe les données pour le module d'échecs sont enregistrées. Les données sont utilisées lors du chargement du WB-Engine.

[OPTIONS] dans ce paragraphe se trouve, après une première installation, les données de chemin vers le WinBoard-Engine.

Veuillez noter que les options avancées des WinBoard-Engines sont déterminées par des fichiers de configuration. Dans le paquet de livraison des WB-Engines, vous trouverez les documentations des auteurs pour les paramètres spécifiques du module. A cause de la définition précise du protocole UCI les transfert des paramètres de programme n'est possible qu'avec les UCI Engines.

Options avancées

Les experts peuvent diriger à l'aide de quelques paramètres les sorties WB-Engines.

L'élément "ShowStats" sous [OPTIONS] dans le fichier eng peut avoir la valeur "1" ou "true". Ceci entraîne que le coup en cours du module est affiché, si le WB-Engine le permet.

Avec "SendToEngine" sous [OPTIONS] on peut définir un string qui est envoyé au WinBoard-Engine.

Exemple:

[ENGINE]

Name=Crafty 17.13

Author=Robert Hyatt

Filename= wb2uci.exe

[OPTIONS]

LoadEngine=c:\chess\ Crafty\wcrafty.exe

ShowStats=1

SendToEngine=noise 1000


Options des modules

Les UCI-Engines disposent d'options spécifiques, que vous pouvez modifier et paramétrer par la boîte de dialogue intégrée.

Les options possibles sont par exemple:

  • Valeur de chaque pièce

  • Valeur du contrôle du centre, etc.

  • Sélectivité, valeur de nulle, etc.

  • Accès aux Tablebases

  • Apprentissage de position

Le dialogue des options peut différer selon les caractéristiques d'un module. Vous pouvez enregistrer les styles de jeu que vous avez créés.

Détails pour le Shredder Engine...

Les modules sont représentés par un fichier avec l'extension *.ENG sous Shredder. Vous pouvez aussi modifier les modules, c à d leurs paramètres, et les sauvegarder comme un module avec votre propre dénomination. Les "propres" modules sont traités comme un module normal dans le dialogue de choix des modules. Vous pouvez par ex. tester les modifications que vous avez entreprises vous mêmes dans des matchs entre modules contre d'autres programmes.


Installer module

Menu Outils / Modules

Cette fonction installe un module sous l'interface de Shredder.

Pour installer un nouveau module sous Shredder, procédez comme suit:

  • Choisissez dans le menu Modules l'élément "Installer module".

  • Choisissez dans la boîte de dialogue le type de module correspondant, pour les UCI Engines sélectionnez "UCI", pour les WinBoard Engines le choix "WinBoard Engine".

  • Après avoir fixé le type de module, vous devez saisir le chemin vers le répertoire du module. Vous pouvez feuilleter les répertoires en cliquant avec la souris sur le bouton avec les trois points. Sélectionnez le chemin du module dans la boîte de dialogue.

  • Ensuite vous devrez encore donner un nom au module. Cette dénomination sera utilisée dans le dialogue de chargement d'un module. Vous pouvez aussi saisir le nom de l'auteur du module.

Après cette procédure, le module est installé sous Shredder et peut être démarré.

Hinweis Désinstaller module --> Enlève le module du dialogue de chargement.

Achtung Remarque: Le module n'est pas effacé physiquement du support de stockage lors de la désinstallation !


Changer module

Remplace un module actif par un nouveau module.

Vous appelez cette fonction par un clic droit dans la fenêtre d'analyse ou par CTRL-Q. Sélectionnez ensuite le nouveau module dans le dialogue de chargement.

Le module est remplacé et vous pouvez continuer la partie ou l' analyse avec le nouveau module..


Ajouter module

Ajoute un module pour l'analyse. Vous pouvez utiliser au maximum 10 modules en parallèle sous Shredder.

Achtung Remarque: Tous ces modules se partagent les ressources du système.


Fermer module

Arrête le module actif et ferme la fenêtre d'analyse correspondante.


Paramétrer Shredder-Engine

Paramétrer le module Shredder

Vous pouvez modifier l’algorithme de Shredder et le sauvegarder comme style de jeu particulier. Les modules modifiés peuvent être installés et utilisés dans le dialogue de chargement comme un module normal.

Remarque: ces options sont aussi en Anglais dans la version française. La raison : les instructions sont envoyées directement par le module.

Le dialogue pour les options du module est appelé pat un clic droit dans lafenêtre du module.

Remarque: Selon le module, les options possibles peuvent être différentes.

Keep Hash Tables:

Shredder n'efface pas les Hashtables -> conseillé pour les parties, surtout en Blitz, ou pour l'analyse

Position Learning:

Shredder tient compte des résultats des parties déjà jouées, même quand le programme a été relancé -> conseillé pour les parties et l’analyse. Shredder essaye par l’activation de cette option de prendre en compte ses erreurs.

Prefer Open Positions:

Le programme préfère les positions ouvertes dans lesquelles sa force est particulièrement à l'aise. Ainsi ce n'est pas forcément le meilleur coup qui est joué mais souvent le plus désagréable.

Use Tablebases:

Shredder utilise les Tablebases de Nalimov dans la recherche.

Draw Score

Comment Shredder doit-il évaluer une nulle? Pour une valeur plus petite que 0, Shredder joue pour le gain, pour une valeur supérieure à 0 une nulle lui suffit.

Clear Hash:

Efface après OK, le contenu des Hashtables. Cette option peut par ex. être recommandé pour le résolution de positions de test.

Clear PosLearing:

Efface le fichier d'apprentissage du disque dur. Shredder perd les connaissances accumulées jusque là.

Werte für Figuren:

Indique la valeur des différentes pièces en %. La valeur par défaut est 100%. Si Shredder sacrifie par ex. trop souvent des pions, on peut fixer la valeur des pions à 110%. Ainsi la pièce Pion est évaluée plus “matériellement“ et Shredder “s’accroche“ plus à ses pions. Dans le cas contraire, on peut rabaisser la valeur d’un pion. Ainsi les pions ne sont plus évalués aussi fortement et le programme est plutôt près à donner un pion pour l’initiative.

Tipp Dans la boîte de dialogue on trouve pour chaque type de pièces la mention "Endgame". Quelle est la signification? Partons de l’exemple donné plus haut. Il peut être tout à fait judicieux en milieu de partie avec beaucoup de pièces sur l’échiquier de ne pas évaluer trop haut le facteur matériel (pion). Dans cette phase de jeu, l’avantage d’espace, l’activité, etc. est beaucoup plus important qu’en finale. En finale, avec peu de matériel, ceci est tout à fait différent. Vous pouvez donc choisir une évaluation différente selon les phases de la partie.

Exemple:

Pawn = 100 -> Évaluation de la pièce pion pour le milieu de partie.

Pawn (Endgame) = 130 --> Évaluation du pion en finale avec une valeur matérielle élevée pour le pion.

Importance des paramètres d’évaluation:

Dans la section de droite, on peut influencer les critères d’évaluation les plus importants de Shredder en %.

King Safety

Le facteur de la sécurité du Roi peut être corrigé ici.

Center Control

Évaluation du contrôle du centre.

Pawn Structure

Comment Shredder doit-il utiliser ses connaissances dan des structures typiques de pion? Pour une valeur peu élevée par ex., Shredder ne prend pas en compte ces connaissances.

Passed Pawns

Si l’on pense par ex. que Shredder surestime les pions passés, on peut fixer Passed Pawns à 90%.

Bishop Pair

Évaluation du facteur paire de Fous.

Time Usage

Pour des valeurs importantes, Shredder utilise plus de temps et joue donc plus lentement tout en se conformant naturellement aux contrôles de temps.

Knowledge or Speed

Quelle importance doit être laissée aux connaissances échiquéennes? Une valeur plus petite réduit l'accès, Shredder n'évalue plus aussi finement, mais le module calcule d'autant plus vite.


Match entre modules

Sous Shredder vous pouvez tester différents modules entre eux.

Les domaines d'utilisation suivantes sont par exemple possibles avec cette fonction:

  • Tester des modules d'échecs modifiés

  • Tester des modules UCI- ou WinBoard externes

  • Tester des bibliothèques d'ouvertures nouvelles ou personnelles avec des modules

La boîte de dialogue Match entre modules est ouverte par le Menu Mode ou Ctrl-8.

Blancs

Cliquez sur le bouton avec les trois points. Sélectionnez le module choisi dans le dialogue.

Noirs

Cliquez sur le bouton avec les trois points. Sélectionnez le module choisi dans le dialogue.

Pour les Blancs et les Noirs vous pouvez charger une bibliothèque différentes. Cliquez sur le bouton avec les points et sélectionnez la bibliothèque d'ouvertures désirée.

Utiliser biblio. du module

Certains modules utilisent leur propre bibliothèque d'ouvertures et ne s'en remettent pas à la GUI comme le fait par ex. Shredder. Pour ces modules on peut préciser s'ils doivent utiliser leur propre bibliothèque. Le nom de la bibliothèque ne peut par contre pas être modifié.

Niveau de jeu

Vous pouvez modifier le temps de réflexion par Contrôle de temps ou par Blitz.

Permanent Brain

La réflexion permanente devrait être désactivée sur un système à un seul processeur. Cette option n'est censée que sur un ordinateur Dual avec deux processeurs.

Changer les couleurs

Après chaque partie les côtés sont échangés. Vous pouvez empêcher cela en désactivant la coche.

Apprentissage biblio.

Les modules doivent modifier la probabilité de jeu de leurs bibliothèque selon les parties jouées.

Nbre parties

Vous pouvez fixer ici le nombre de parties à jouer.

Sauvegarder

Vous pouvez choisir une base de données pour la sauvegarde des parties jouées. Cliquez sur le bouton avec les trois points.

Ouvertures

Vous pouvez procéder à des matchs entre modules à partir de position déterminée. Vous supprimez ainsi l'influence des bibliothèques d'ouvertures et vous pouvez testez le comportement des modules dans des types de positions donnés. Les positions doivent être stockées dans une base de données PGN ou CBF. Saisissez d'abord la position de départ choisie et sauvegardez la dans une base de données. Ensuite chargez cette base de données par un clic sur le bouton avec les trois points.

Sans bibliothèque

Par un clic vous pouvez désactiver toutes les bibliothèques pour le match.


Tournoi entre modules

Vous pouvez tester automatiquement divers modules entre eux sous Shredder.

Vous avez le choix entre commencer un nouveau tournoi ou continuer un ancien.

Le dialogue Tournoi des modules est appelé par Menu Mode ou Ctrl-7.

Titre

Donnez un titre au tournoi.

Modules installés

Montre la liste des modules installés sur votre ordinateur. Par un double-clic ou un clic sur la flèche à droite, vous pouvez inviter un module à un tournoi.

Participants

Montre la liste des participants à votre tournoi. Par un double clic sur le nom du module ou un clic sur flèche à gauche vous pouvez ôter un module.

Tous la même bibliothèque

Tous les modules jouent avec la même bibliothèque d'ouvertures

Tous la même taille de hash

Tous les modules jouent avec la même taille de hashtables

Bibliothèque

Selon la configuration vous choisissez ici la bibliothèque d'ouvertures pour un ou tous les modules.

Utiliser biblio. du module

Certains modules utilisent leur propre bibliothèque d'ouvertures et ne s'en remettent pas à la GUI comme le fait par ex. Shredder. Pour ces modules on peut préciser s'ils doivent utiliser leur propre bibliothèque. Le nom de la bibliothèque ne peut par contre pas être modifié. Cette configuration est valable pour tous les modules ou uniquement pour celui sélectionné actuellement.

Niveau de jeu

Vous pouvez modifier le temps de réflexion par Contrôle de temps ou par Blitz.

Permanent Brain

La réflexion permanente devrait être désactivée sur un système à un seul processeur. Cette option n'est censée que sur un ordinateur Dual avec deux processeurs.

Apprentissage biblio.

Les modules doivent modifier la probabilité de jeu de leurs bibliothèque selon les parties jouées.

Type de tournoi

Pour le type de tournoi vous avez le choix entre un tournoi toutes rondes Poules, où chacun joue contre chacun ou une Simultanée où le premier module joue contre tous les autres.

Étapes

Vous sélectionnez le nombre d'étapes (rondes) et ainsi le nombre de parties dans le tournoi.

Ouvertures

Vous pouvez procéder à des matchs entre modules à partir de position déterminée. Vous supprimez ainsi l'influence des bibliothèques d'ouvertures et vous pouvez testez le comportement des modules dans des types de positions donnés. Les positions doivent être stockées dans une base de données PGN ou CBF. Saisissez d'abord la position de départ choisie et sauvegardez la dans une base de données. Ensuite chargez cette base de données par un clic sur le bouton avec les trois points.

Sans bibliothèque

Par un clic vous pouvez désactiver toutes les bibliothèques pour le match.


La bibliothèque d'ouvertures

Toutes les fonctions pour l'édition des bibliothèques d'ouvertures se trouvent sous Outils -> Bibliothèque d'ouvertures.

La bibliothèque d'ouvertures de Shredder est sauvegardée comme arbre de positions. La bibliothèque d'ouvertures livrée contient env. 20.0000 coups et a été créée par l'expert en bibliothèque d'ouvertures Sandro Necci, Italie. La bibliothèque tient compte des inversions de coups.

Pour chaque position dans l'arbre, un grand nombre d'informations est stocké. Ces informations sont affichées dans la fenêtre des coups. Si le contenu de la bibliothèque n'est pas affiché, cliquez avec le bouton droit de la souris dans la fenêtre de bibliothèque et activez l'élément Coups de bibliothèque. Les informations suivantes sont affichées dans les colonnes de la fenêtre de bibliothèque:

  • Coup dans cette colonne sont affichés les coups de la bibliothèque pour la position en cours.

  • Prob cette valeur indique la probabilité de jeu du coup en pourcentage.

  • N indique le nombre total de parties contenues dans l'arbre de positions dans lesquelles ce coup a été joué.

  • % indique la cote de réussite du coup en pourcentage.

  • Elo la moyenne Elo des joueurs dont les parties interviennent dans l'évaluation du coup de la bibliothèque. Plus la moyenne Elo de cette colonne est élevée, plus les évaluations dans l'arbre de position d'un coup particulier sont déterminantes pour la statistique de succès de ce coup.

  • Perf indique la performance d'un coup en Elo qui a été obtenue avec cette ouverture sur la base des parties importées. Une valeur importante indique que le pourcentage de réussite de ce coup est très important.

  • Année indique l'année où la plupart des parties, intégrées dans l'arbre, ont été jouées.

  • + = - Nombre de victoires, de nulles et de défaites obtenues par le coup d'ouverture. Ces valeurs dépendent des parties importées dans l'arbre de positions.

Remarque: Vous pouvez trier les éléments en cliquant sur l'en-tête des différentes colonnes.

Vous pouvez aussi bien éditer, étendre la bibliothèque d'ouvertures livrée avec Shredder que créer autant de nouvelles bibliothèques d'ouvertures que vous voulez. Les bibliothèques d'ouvertures de Shredder n'ont pas de limite en ce qui concerne la taille et possèdent l'extension *.BKT. Pour pouvoir éditer ou étendre les bibliothèques, il faut qu'elles soient installées sur le disque dur.

Les bibliothèques d'ouvertures proposent de nombreuses possibilités pour l'entraînement à domicile. Vous pouvez facilement étendre le répertoire du programme ou mettre des préférences à certaines lignes. Comme joueur de tournoi vous devriez utiliser absolument la possibilité de créer une bibliothèque adaptée à votre propre répertoire. A l'aide de la fonction d'importation vous pouvez produire vos propres bibliothèque à partir de bases de données pour des besoins d'entraînement.


Arbre de position

Un arbre de position est une base de données de positions d'échecs et de coups à l'aide de laquelle on peut trouver pour une position donnée quels coups ont déjà été joués. Un ordinateur a besoin de ce savoir pour pouvoir jouer rapidement un coup dans la phase de l'ouverture sans utiliser son algorithme interne. On peut ainsi économiser du temps de réflexion et éviter des erreurs stratégiques dans l'ouverture. Jusqu'ici il n'y a rien de nouveau mais avec les différents coups sont également sauvegardées d'autres informations dans cette base de données.

On peut, par exemple, déterminer pour chaque coup combien de fois il a déjà été joué et quel est son score de réussite, c'est à dire combien de fois les Blancs ou les Noirs ont gagné ou perdu avec ce coup et combien de fois la partie s'est soldée par une nulle. De plus on peut voir quelle était la moyenne Elo des deux côtés ainsi que l'année durant laquelle ce coup a été particulièrement utilisé.

On peut ainsi distinguer les variantes classiques et modernes. Avec ces informations on peut calculer facilement la performance Elo pour chaque coup. Par ex. il y a une différence à faire 60% contre des adversaires de même force et 80% contre des adversaires plus faibles.

Avantage de l'arbre de positions

Comme vous pouvez vous en rendre compte, ce concept offre une masse d'informations utiles et nous arrivons à la nouveauté essentielle. Jusque là, seul l'ordinateur, ou plutôt le programme, pouvait profiter des connaissances de sa bibliothèque d'ouvertures, maintenant l'utilisateur humain a également à disposition un système d'information puissant et utile.

Il peut à présent se préparer dans une variante d'ouvertures précise et vérifier rapidement de la valeur des coups joués dans cette variante. De plus il voit de suite où la théorie arrive à la fin et ne doit pas fouiller dans divers livres d'échecs ou dans des bases de données électroniques.

Les programmes d'échecs obtiennent également une plus-value conséquente. Ils utilisent naturellement les informations stockées pour leur choix de coups dans l'ouverture. Par exemple si dans une position donnée deux coups sont possibles dont l'un a été joué trois fois et pour lequel la partie a été perdue trois fois, mais l'autre a un score de réussite de 60% après 100 parties, le choix du coup du programme devrait être évident. Mais cela n'est pas tout. Il est maintenant plus facile d'influer sur la façon de jouer l'ouverture. Par le grand nombre de possibilités de paramétrage, on peut déterminer si le programme doit jouer uniquement les meilleurs coups ou, pour plus de diversité, jouer aussi un coup potentiellement moins fort. On peut aussi ne jouer que les variantes principales ou se limiter sur les variantes secondaires.


Nouvelle bibliothèque

Nouvelle bibliothèque d'ouvertures

Pour créer une nouvelle bibliothèque d'ouvertures.

L'extension de fichier des bibliothèques d'ouvertures de Shredder est *.BKT.

Vous pouvez étendre ces bibliothèques par l'import de bases de données CBF ou PGN.


Charger bibliothèque

Charge bibliothèque d'ouvertures

Charge une bibliothèque d'ouvertures existantes.

Remarque: une seule bibliothèque peut être active à la fois.


Importer

Importer bibliothèque d'ouvertures

Un arbre de positions peut être étendu par l'import de bibliothèques d'ouvertures d'autres programmes d'échecs en plus de l'importation depuis des bases de données.

Les bibliothèques des programmes ChessGenius 1 - 5, Rebel et Fritz 1 - 4 sont possibles.

Hinweis On peut aussi importer des arbres de positions existants.

Importer des parties

Les bases de données au format CBF et PGN peuvent être importées dans une bibliothèque d'ouvertures existantes de Shredder. Pour cela vous pouvez contrôler l'import dans un masque de dialogue avec les options décrites ci-dessous:

  • Importer variantes: Les bases CBF peuvent contenir des variantes en plus de la notation. Par l'activation de cette fonction, les variantes sont également intégrées dans l'arbre de positions.

  • Importer statistiques: tient compte des coefficients de réussite des coups et des parties.

  • Importer évaluation des coups: tient compte lors de l'import de bibliothèques ou de bases de données des évaluations présentes.

  • Longueur des variantes peut être contrôlée lors de l'import des données.

  • Longueur de variante fixe la profondeur absolue en demi-coups pour l'intégration de variantes dans l'arbre de positions.

  • Longueur relative ECO fixe la profondeur d'import en demi-coups selon la position trouvée dans ECO.

Importer partie en cours

importe la partie en cours sur l'échiquier dan l'arbre de positions.


Compter coups de bibliothèque

Compter coups de la bibliothèque

Indique dans une fenêtre d'information le nombre effective de coups d'ouverture dans l'arbre de positions.


Affiner bibliothèque

Affiner bibliothèque d'ouvertures

Shredder vérifie le contenu de l' arbre de positions et efface les coups non judicieux.

Par ex. les coups ne se basant que sur une petite quantité de parties sont effacés.


Options de bibliothèque

Par cette fonction on peut diriger le comportement en ouverture de Shredder. Vous pouvez appeler le dialogue de saisie par un clic droit dans la fenêtre des coups quand les coups d'ouverture sont affichés ou par Menu Outils - Options - Options de bibliothèque. Dans le masque de saisie on peut paramétrer presque tous les choix de coups dans la bibliothèque.

Utiliser biblio. d'ouvertures

détermine si Shredder joue avec ou sans bibliothèque.

Utiliser biblio. du module

Active la bibliothèque propre au module qui est utilisée par certains modules. Pour Shredder la bibliothèque d'ouvertures est géré par la GUI, cette fonction n'est donc pas disponible.

Mode de bibliothèque

Shredder ne joue que des coups correspondants bien au style de jeu du programme pour le réglage Tournoi. On peut affecter les coups de valeur allant de a à g. Dans le cadre de droit on peut affecter un coup d'une valeur.

Les coups A sont joués plus souvent, les coups E moins fréquemment et les coups f et g jamais. Dans le mode de bibliothèque Tournoi Shredder ne joue que des coups a - c si possible. Avec Standard il joue a-d et avec Large il joue aussi des coups e.

Apprentissage biblio.

Active la fonction d'apprentissage pour la bibliothèque d'ouvertures. Effacer enlève les résultats. Lors de l'apprentissage de la bibliothèque, le programme retient si une position était bonne ou mauvaise d'après la bibliothèque. On peut ainsi distinguer les victoires qui ont été clairement gagnées de celles qui en cours ont été moins brillantes.

Apprentissage résultat

Le programme tient compte lors d'un coup des résultats déjà obtenus dans ses propres parties. Pour cette option Shredder garde en mémoire s'il a gagné ou perdu avec une variante.

Valeur du coup

Tient compte de la valeur a-g pour chaque coup.

Utiliser statistiques

Tient compte des résultats des statistiques enregistrés dans l'arbre pour l'utilisation d'un coup.

Vérifier réfutations

Tient compte des possibles réfutations contenues dans la bibliothèque: Exemple: un coup a été joué 1000 fois avec un résultat positif de 60%. Les dernières parties ont néanmoins été presque toutes perdues. Ce indique qu'une réfutation a été trouvée. Shredder essaie de reconnaître ceci et de corriger le coup correspondant.

Classique/Moderne

fixe par un curseur si Shredder joue plutôt des ouvertures classiques ou un répertoire moderne depuis l'arbre de positions.

Conditions de jeu

par ces interrupteurs vous pouvez fixer les critères d(après lesquels Shredder joue ses coups. Shredder ne joue un coup de la bibliothèque que si un Nbre minimum de parties a été joué, avec un Nbre victoires minimum. Pour les Blancs la côte de résultat doit être au moins %Blancs, pour les Noirs d'au moins % Noirs.

N° de coup

Joue au maximum le nombre de coups de la bibliothèque.

Influence des facteurs

Vous pouvez déterminer les valeurs sur la base des quelles Shredder choisit les coups dans l'arbre de positions. Avec le curseur Valeur du coup on peut changer le poids des évaluations individuelles des coups. Dans la bibliothèque d'ouvertures les évaluations sont indiquées par les lettres a-g. Si le curseur est poussé vers la droite, Shredder joue encore plus fréquemment les coups avec l'évaluation a. Si le curseur % réussite est poussé vers la droite, Shredder tient d'autant plus compte si les coups ont été couronnés de succès dans la base de données, si ce curseur est à gauche, il est pratiquement indifférent si le coup a un taux de réussite de 10 ou 90%.

Cela est pareil pour les paramètres Nbre de parties ou Valeur.

Astuce: Agrandissez la fenêtre de bibliothèque, pendant que vous éditer les différents paramètres. Vous pouvez voir immédiatement les effets des modifications dans la fenêtre de bibliothèque.


Editer bibliothèque

Éditer bibliothèque

Vous pouvez éditer la bibliothèque d'ouvertures de Shredder. Voir aussi Évaluation de coup ....

Cliquez avec le bouton droit de la souris sur un coup dans la fenêtre de bibliothèque. Vous pouvez donner manuellement des attributs à un coup qui seront pris en compte lors du jeu.

Shredder ne joue que des coups d'ouvertures qui correspondent au style de jeu du programme dans le paramétrage Tournoi. On peut donner des valeurs de a-g aux coups de bibliothèque. Dans le cadre de droit vous pouvez attribuer une valeur à un coup.

Les coups a sont joués plus souvent, les coups e moins souvent et les coups f et g jamais. Dans le mode de bibliothèque Tournoi Shredder ne joue que des coups a - C si possible. En Standard, il joue a - d et en Large également les coups e.

Voir aussi ici...

Effacer coup enlève le coup de la bibliothèque.

Tipp Vous pouvez jouer les coups de la bibliothèque en cliquant dans la fenêtre des coups.

Tipp Commentaires texte -> Dans la fenêtre de saisie vous pouvez entrer des commentaires texte pour les coups d'ouverture.

Avec les symboles de commentaires vous pouvez évaluer un coup. Shredder n'en tient cependant pas compte pour le choix de coups de la bibliothèques.

Voir aussi ici...


Commenter coups de bibliothèque

Shredder offre la possibilité de commenter les coups de bibliothèque par des commentaires abrégés et des commentaires texte.

Pour commenter un coup donné, procédez comme suit:

Cliquez sur le coup à commenter dans la fenêtre de bibliothèque avec le bouton droit de la souris. La boîte de dialogue suivante est affichée:

Dans le champ Commentaire vous pouvez saisir vos remarques sur le contenu de la bibliothèque d'ouvertures.

Vous devriez utiliser cette possibilité par ex. pour faire des annotations et des remarques pour votre répertoire d'ouvertures personnel.

Affichage des commentaires

Dans la fenêtre de bibliothèque il existe une colonne commentaire. Vous pouvez y lire les commentaires existants.

Cliquez avec le bouton droit de la souris sur le commentaire.

La fenêtre de commentaire est affichée. Vous pouvez lire ou éditer les commentaires.

Les commentaires de la bibliothèque d'ouvertures sont affichés dans la fenêtre d'analyse si les coups afférents sont joués dans une partie.

Les commentaires sont enregistrés dans le fichier "shredder.bkc". L'annotation n'est pas liée à une bibliothèque en particulier mais est valable pour plusieurs bibliothèques. Vous devriez faire une copie de sauvegarde du fichier "shredder.bkc".


Evaluation de coup dans bibliothèque

Évaluation de coup dans la bibliothèque

On peut attribuer des valeurs de a à g aux coups d'une bibliothèque. Un clic droit ouvre la boîte de dialogue ci-dessous. Dans la partie de droite Valeur, vous pouvez affecter une valeur à un coup.

Les coups a sont joués plus fréquemment, les coups f et g pratiquement jamais.

Dans le mode de bibliothèque "Tournoi" Shredder n'utilise que les coups a - c si possible. En Standard il joue a - d et en Large il joue aussi les coups e.


Pocket Fritz

Bibliothèques d'ouvertures pour Pocket Fritz

Si vous possédez le programme Pocket Fritz pour Pocket PC, vous pouvez convertir les bibliothèques d'ouvertures de Shredder dans le format de Pocket Fritz.

Pour cela, vous procédez comme suit:

  • Chargez la bibliothèque d'ouvertures dans Shredder.

  • Choisissez Exporter bibliothèque dans le Menu Outils / Bibliothèque d'ouvertures. Shredder crée un fichier avec l'extension *.PBK.

  • Ce fichier doit être renommé. Donnez lui le nom "book.pbk". Pocket Fritz part du principe qu'un fichier d'ouvertures avec cette dénomination existe dans son répertoire.

  • Copiez le fichier "book.pbk" dans le répertoire de Pocket Fritz sur le Pocket PC.


Tablebases

Shredder peut accéder aux bases de données de finales développées par Eugene Nalimov (=Tablebases). Les informations des Tablebases sont utilisées par Shredder durant le processus de calcul et augmentent sensiblement la force de jeu du programme en finales.

Les bases de données de finales de Nalimov sont disponibles gratuitement sur Internet.

Avant de pouvoir utiliser les informations contenues dans les bases de données de finales, il faut activer l'accès et l'affichage des contenus. Choisissez dans la fenêtre des coups par clic droit le paramétrage Coups de base de finales. (Ou plus rapidement par le raccourci clavier Ctrl+Maj+E).

Shredder peut accéder directement sur une grande base de données de finales en ligne où sont stockées toutes les finales de 3 à 6 pièces disponibles à ce jour. Cliquez simplement sur le bouton Online dans la fenêtre des coups , si celle-ci est configurée sur finales.

Si vous passez par un proxy pour accéder à Internet et que Shredder ne se connecte pas automatiquement sur la base de finales en ligne, vous pouvez créer un fichier proxy.ini dans le répertoire de Shredder avec ces contenus:

Accès par le proxy 192.168.0.1 sur le port 8080:

[INTERNET]

Proxy=192.168.0.1:8080

Accès direct sans proxy:

[INTERNET]

Proxy=no


Indiquer chemin

Chemin des bases de données de finales

Indique le chemin pour les bases de données de finales. Shredder doit posséder l'information de l'endroit où les bases sont installées.

Menu Outils -> Modules -> Base de données de finales

Pfadangabe zu den TableBases einstellen

Dans la boîte de dialogue, cinq chemins pour les bases de données peuvent être saisis ou sélectionnés avec la souris. Chaque chemin peut-être activé séparément. Les Tablebases nécessitent beaucoup de place sur le disque dur.

Si vous avez les Tablebases complètes sur CD-Rom, vous pouvez indiquez le chemin correspond dans le champ correspondant. Vous pouvez générer également des Tablebases supplémentaires.

Avec "GUI utilise les bases de données de finales" vous pouvez activer l'utilisation des bases de données des finales par l'interface. Vous économisez ainsi la mémoire utilisée par les bases de données de finales. Les chemins ne sont envoyées qu'aux modules qui peuvent continuer à y accéder.

Que signifie Taille du cache ?

Vous pouvez installer.automatiquement les Tablebases.


Taille du cache

Indique la taille réservée dans la mémoire RAM.

L'accès aux informations des bases de données de finales Nalimov devient plus efficace et plus rapide.


Installer Tablebases

Les bases de données de finales nécessitent selon le type de finales (4 ou (-pièces) beaucoup de place sur le disque dur.

Si vous possédez des CD avec d'autres Tablebases, vous pouvez les installer depuis Shredder sur le disque dur.

Procédez comme suit:

  • Insérez le CD requis dans le lecteur

  • Sous le menu Outils - Modules - Base de données de finales vous trouverez le bouton Installer...

  • Saisissez le chemins dans la boîte de dialogue où vous voulez copiez le contenu du CD. Vous pouvez également choisir le chemin cible en cliquant sur le bouton avec trois points. Choisissez dans la boîte de dialogue le répertoire cible.

Remarque: Vous ne pouvez copier que le contenu complet d'un CD sur le disque dur. Si vous ne voulez copier que certaines finales sur le disque dur, vous devrez le faire manuellement avec l'Explorateur.

Remarque: la procédure de copie peut prendre un certain temps car il s'agit de très gros fichiers.


Structure de fichier

Structure de fichier des Tablebases

Si l'on veut utiliser certaines Tablebases (jusqu'à max. 6-pièces), on a besoin de pas mal d'espace disque. Toutes les 6-pièces actuellement disponibles nécessitent env. 500Go. Toutes les 5-pièces env. 8Go.

Si vous êtes intéressé par des finales particulières (voir aussi Oracle de finales ou si vous avez peu d'espace disque disponible, vous devrez copier individuellement la finale voulue sur votre disque dur avec l'Explorateur. Pour cela il faut que vous sachiez comment est construite un fichier de finales.

Structure d'un fichier de finales

Pour chaque type de finale il y a deux fichiers dans lesquels le trait est déterminé, un pour les Blancs et un pour les Noirs. Au vu du nom du fichier, on peut reconnaître quelle finale est contenue dans les fichiers. Exemple: KQRK.NBB contient la finale Roi
+Dame contre Roi+Tour. Les abréviations, par ex. Q(Queen) sont celles des noms des pièces en Anglais. L'extension du nom de fichier NBB signifie concrètement N=Nouveau, B=Base, B=Noirs (black) au trait; NBW signifie N=Nouveau, B=Base, W=Blancs (white) au trait.

Le nom de fichier contient une deuxième extension *.EMD utilisée pour Tablebases comprimées. En principe l'utilisateur n'a pas à s'en occuper car les programmes accèdent directement aux Tablebases.


Qu'est-ce que les TableBases ?

Les bases de données Nalimov

Les bases de données de finales de Eugene Nalimov ont été publiées en 1998.

Dans les milieux spécialisés on désigne les bases de données Nalimov comme Tablebases, qui constitue une immense référence où sont enregistrées certaines positions d'échecs (finales).

Les Tablebases les plus courantes actuellement contiennent pour les positions à trois, quatre, cinq et certaines six pièces, toutes les constellations de positions possibles. Pour chaque position possible une information est stockée pour le gain, la nulle ou la perte. Si une position est gagnée ou perdue le nombre maximal de coups menant au mat est indiqué.

Un programme d'échecs avec une interface vers les Tablebases peut donc donner une indication précise pour toutes les positions à trois, quatre ou cinq pièces et tenir compte des valeurs depuis les bases de données de finales même pendant le processus de recherche à l'inverse des bases de données de Thompson.


Oracle de finale

L'oracle de finale est une fonction très innovatrice de Shredder. Des informations sur l'Analyse Joker très ressemblant sont disponibles ici.....

Avec l'aide cette fonction, il est possible d'étudier les finales de 3- à 6-pièces de manière totalement nouvelle. Vous pouvez la mettre en oeuvre en particulier pour l'entraînement et l'étude des finales.

Wichtiger Hinweis ! Cette fonction n'est disponible que si les Tablebases Nalimov sont installées et activées.

Un exemple: Une étude du fichier Cavalier+Cavalier contre un pion montre ce que l'on peut obtenir. Le Grand-Maïtre Ludek Pachmann écrit dans son livre »Endspielpraxis im Schach« (Heyne Verlag 1977; p. 10) que c5 est la limite où doit être bloqué pour que le gain (avec les 2 Cavaliers) soit possible. Si le pion dépasse cette rangée, il n'y a plus de gain possible

Est-ce que cela est vrai? Avec l'Oracle, on peut vérifier.

Suite ....


Définir position

On rentre d'abord dans la fenêtre de saisie de position (Ctrl+D) une position avec deux Cavaliers contre un pion, avec le pion noir en c4, car nous voulons voir si un pion avancé plus loin que c5 gagne. Sous Outils/Oracle de finale (Ctrl+F12), on peut ajouter ajouter autant de pièces voulus mais un doit être affecté par un des trois "Jokers".

Il y a un Joker pour:

toutes les cases de l'échiquier

la ligne où le pion est placé

la rangée où le pion est placé

les cases depuis la position de la pièce jusqu'à celle du bord de la ligne ou de la rangée

"Joker" signifie que lors de la recherche dans le fichier de Tablebases C+C+P, la ou les pièces seront traitées sur toutes les cases sélectionnées. Si on attribue un Joker de rangée à une pièce placée en a8, alors elle sera prise en compte sur toutes les cases de a8 à h8. Si on utilise un Joker d'échiquier, la pièce est prise en compte sur les 64 cases de l'échiquier. Le Joker attribué est signalé par un indicateur rouge dans le coin gauche de la case de la pièce.

Les Jokers peuvent être attribués en cliquant successivement sur la pièce. Dans notre exemple le pion c4 n'a pas de Joker, toutes les autres pièces ont un Joker d'échiquier.

Eingabe S+S - B im Endspielorakel

Ensuite on fixe, comme indiqué dans la représentation ci-dessus, le droit au trait: Blancs, Noirs ou les deux. Puis on peut déterminer quelles positions seront enregistrées dans un fichier EPD (tboracle.epd):

  • rien (seul une représentation statistique est affichée)

  • Plus long gain pour les Blancs/Noirs

  • Nulle

  • Positions menant au mat en un nombre de coups donné (Shredder liste les positions où par ex. les Blancs font mat en 26 coups).

  • Les positions avec Zugzwang réciproque (Blancs/Noirs gagnent, le camp opposé au trait fait nulle, les deux au trait perdent).

Suite ......


Informations de l'Oracle

Information de l'Oracle

Après avoir défini la recherche, elle peut être démarrée dans le fichier des finales.

Rappel de la remarque: la recherche ne fonctionne que si la base de données de finales correspondante est installée.

Shredder affiche alors une masse d'informations pour la finale concernée:

Après avoir analysé plus de 5,4 Million de positions, Shredder montre donc que les Blancs peuvent gagner quand ils ont le trait, même pour 13,96% de toutes les positions. Si "Le trait aux deux" était choisi, il y en a toujours au moins 7,51%. Le chemin le plus long pour la victoire est de 73 coups jusqu'au mat. Ceci montre que les victoires ne sont pas uniquement possibles parce que le Roi noir est au bord dès le début.

On peut choisir si la position sauvegardée doit être vue de suite et éventuellement amenée sur l'échiquier par un clic sur la description de la position. Si l'on charge la position, puis si l'on clique sur "Jouer la position" dans le menu Mode, Shredder joue la position contre lui-même jusqu'au bout.

Dans notre exemple, la position sauvegardée est identique à:

Shredder enregistre aussi dans le fichier EPD le nombre de positions pour toutes les distances de mat possibles et indique leur probabilité en %. On peut donc voir si les chemins de mat sont plutôt longs ou plutôt courts.

Les fichiers EPD peuvent être aussi ouverts dans des traitements de texte, par ex. Word, et les données récoltées peuvent y être éditées.


Analyse avec l'Oracle

Analyser ses propres parties

Hier j'ai perdu une la finale D-p(g7) en tournoi.

Aurais-je dû placer mon Roi loin du pion a4 ou plutôt en a1 ?

De telles questions sont souvent soulevées quand on joue des tournois. Avec l' Oracle de finale vous pouvez acquérir une meilleure connaissance du traitement de ces finales.

Mode d'emploi:

  • Répartir les pièces: pion blanc en g7, Roi noir en a4

  • Posez les Jokers pour les autres pièces

  • Noter le pourcentage de victoires blanches

  • Renouvelez la procédure avec le Roi noir en a1 et comparez les valeurs affichées par l'Oracle.


Entraînement aux échecs

Entraînement

Exemple: Cherchez dans l'Oracle toutes les positions de finale Dame et deux Fous contre Roi seul avec mat en 23 coups. Chargez en une par un clic sur l'échiquier,puis essayez - bien sûr sans voir les informations de la notation - de faire mat contre le jeu de la base de données.


L'Autoplayer

Shredder est compatible avec le système Auto232. Il rend possible de faire jouer des programmes d'échecs, qui utilise ce protocole standard, automatiquement sur deux différents ordinateurs. Il faut deux PC reliés par un câble par l'intermédiaire du port série.

Il est aussi possible de jouer par l'intermédiaire d'un réseau.

L'Autoplayer peut être démarré dans le menu Joueur. La boîte de dialogue donne les mêmes possibilités que les options en ligne de commande du driver DOS du système Auto232 avec les différences suivantes:

  • Le nom dans le champ Adversaire est sauvegardé avec la partie.

  • Avec l'option "Abandon", les parties désespérées peuvent être interrompues avant le mat.

  • L'Autoplayer a été amélioré. Il peut abandonner, accepter/refuser nulle contre les programmes ChessBase. Shredder ne peut le faire que si l'option Etiquette est activée. D'autre part on peut réaliser des Nunn-Matchs avec positions préétablies. Pour cela il existe le mode étendu dans le dialogue de l'Autoplayer.

  • L'option "Réseau" dans l'interface permet une liaison par un réseau Windows NT/2000. Sous Hôte le même nom doit être indiqué sur les 2 PC. Cela peut être celui d'un des deux ordinateurs ou celui d'un troisième. Sur l'ordinateur Hôte le programme de contrôle est effectué. La liaison réseau ne fonctionne pas sous Windows 95/98!

Remarque: les parties jouées par Auto232 sont sauvegardées automatiquement dans la base de données"auto232.pgn".

Veuillez consulter les détails pour le système Auto232 dans sa propre documentation.


Article Tablebases

Les Tablebases

de Stefan Meyer-Kahlen

Les Tablebases

Ces derniers, on parle beaucoup des Tablebases: Quel programme peut les utiliser et lequel ne le peut pas, ce qu'elles apportent, où on peut les acheter. Je ne me souviens par contre pas d'un article où est décrit ce que sont effectivement les Tablebases. Je voudrais rattraper ceci ici et expliquer aux intéressés cette très utile invention.

Les Tablebases sont en principe un très grandes bases de données où sont stockées toutes les positions possibles. Avec la position, on enregistre aussi une valeur qui indique si la position est gagnante, perdante ou nulle. Cela ne veut pas dire qu'il y est indiqué la position est "probablement nulle" ou "gagnante éventuellement", mais le nombre exact de coups jusqu'au mat est indiqué si la position n'est pas nulle. Si dans la base de données est écrit " Gagnant en 13coups", même le meilleur joueur d'échecs ne pourra plus arriver à tenir la nulle. De la même manière, personne ne pourra gagner une position si la valeur dans la base de données est équivalente à une nulle.

Ces déclarations ne sont bien sûr pas valables si un des joueurs ne dispose pas des informations de la base de données. Il est alors possible et cela arrive très fréquemment qu'une position théoriquement gagnante ne mène qu'à une nulle. Si un joueur ou un programmes d'échecs peut interroger les Tablebases lorsqu'il a le trait, il n'y aura plus d'échappatoire. La partie est poursuivie parfaitement jusqu'au mat.

Bien sûr, maintenant se posent les questions pourquoi tant de joueurs d'échecs investissent autant de temps et d'ardeur dans l'analyse d'une position et pourquoi il y a des gens comme moi qui essaient d'apprendre à jouer aux échecs à une machine, si tout est aussi simple. Un coup d'œil dans la base de données et on sait de suite quel côté va gagner ou s'il y a quand même nulle. Ceci est théoriquement possible, mais le hic de la chose est que ces bases de données sont très, très grandes et qu'il faut un temps considérable pour les générer.

Prenons par exemple toutes les positions avec respectivement les Rois, et une autre pièce. Il y a trois pièces sur l'échiquier, on dit un 3-pièces. Pour enregistrer cette base en totalité, il faut env. 62ko. Ceci n'est plus grand chose quand on sait que les ordinateurs à bas prix sont vendus avec un disque dur de 8Go (1Go = 1024Mo = 1021 x 1024ko).

Je me souviens encore très bien de mon premier ordinateur: il avait 64Ko de mémoire, mais dedans il y avait aussi le système d'exploitation au complet; les temps changent. Allons un pas plus loin et observons les 4-pièces, il ne reste que le Roi et une autre pièce de chaque côté. Pour enregistrer cette base de données au complet sur le disque dur il faut 30320ko ou env. 30Mo, toujours pas une grande masse mais déjà nettement plus que pour seulement trois pièces.

Les 5-pièces

Pour ces positions, le résultat de la partie est aussi clair sans bases de données de finales, et chaque joueur, ayant dépassé le stade du débutant absolu, peut faire mat avec le Roi et la Dame, et la finale Dame contre Tour, même si déjà plus ardue, peut être gagnée sans l'aide de bases de données. Cela devient vraiment intéressant avec cinq pièces.

Ici existent quelques exemples pour lesquels il est déjà très difficile d'évaluer correctement la position. Comme exemple je citerai seulement RTp-RT ou RDp-RD, qui sont assez fréquentes dans la pratique des tournois. Le côté ayant l'avantage matériel peut ne pas forcément toujours gagner, et si la position est gagnante, alors elle est généralement très difficile et exige souvent des coups très précis pour transformer l'avantage en victoire.

De combien de place sur le disque dur a-t-on besoin pour toutes les Tablebases qui contiennent toutes les combinaisons possibles de cinq pièces? Il faut env. 6054466Ko = env. 6000Mo = env. 6Go, soit dix CD-Rom bien remplis! Il devient évident que la taille de mémoire physique nécessaire augmente de façon exponentielle quand on ne veut que lire les bases de données avec une seule pièce de plus.

Ceci est aussi la raison pour laquelle à ce jour on s'est arrêté aux 5-pièces, la taille de sauvegarde devient simplement trop importante pour enregistrer toutes les positions. Il existe déjà quelque 6-pièces comme bases de finales, mais d'ici que toutes les combinaisons avec six pièces soient disponibles comme Tablebases et que chacun puisse les avoir sur son ordinateur, il va sûrement encore se passer un peu de temps.

Les échecs totalement analysés ?

On peut bien sûr jouer avec l'idée de se demander quand nous aurons enfin générer toutes les 32-pièces au complet. Ceci voudrait dire que que les échecs sont résolus comme on l'appelle si joliment en informatique dans le domaine de la théorie des jeux. On pourrait ainsi, pour n'importe quelle position d'échecs, dire si elle est nulle ou si un côté va gagner et dans ce cas combien de coups restent jusqu'au mat.

En particulier on saura aussi si les Blancs peuvent profiter pleinement de la priorité du trait à partir de la position initiale ou, si avec un jeu parfait des deux côtés on arrive toujours à une nulle, ou même si la priorité du trait est un désavantage et que les Noirs ont un avantage décisif dès la position initiale.

Ce point est vraiment idéal pour se chamailler et discuter, tout en glissant facilement vers des discussions philosophiques. Le problème est que le nombre des positions possibles aux échecs est plus grand que celui des atomes de l'univers connu. Avec les connaissances actuelles il est donc impossible de stocker toutes les positions. La question comment évaluer toutes les positions, on n'est même pas obliger de l'aborder dans l'argumentation.

Un point de départ sensé dans une discussion serait naturellement de se poser les questions si on connaît effectivement le nombre d'atomes dans l'univers, comment coder peut-être plus efficacement toutes les positions d'échecs et s'il est possible de considérer l'univers comme un chose finie. On échoue rapidement dans les "univers parallèles" et parmi les "trous noirs". Comme vous pouvez voir ce point contient un potentiel de discussion important qui nous amènerait loin du cadre de cet article.

Il n'est d'ailleurs pas inhabituel qu'un jeu soit résolu, c'est à dire qu'il a été complètement calculé. Ceci a déjà été réalisé depuis un moment pour les jeux très simples en comparaison des échecs comme "Quatre gagne" ou la "marelle". Pour "quatre gagne" le jouer qui a le trait en premier peut toujours forcer le gain, la "marelle" est toujours nulle si les deux joueurs ne commettent pas d'erreurs.

Sources des Tablebases

Intéressons nous à présent à la manière d'obtenir les Tablebases utilisables aujourd'hui. Il existe deux possibilités. Ou on se les procure toutes faites ou on les génère soi-même sur son ordinateur. Les deux ont leur inconvénients. Sur Internet, il existent des sites qui proposent les Tablebases complètes au téléchargement, on se connecte sur le serveur correspondant et c'est parti!

Mai attention, faisons un petit calcul. Combien de temps cela va durer? 6Go pour toutes les 5-pièces avec un modem V90 usuel actuellement, ceci fait avec une bonne connexion dans le cas optimal 6Go à 3500ko/s = 1840700 secondes = env. 30678 minutes = env. 551 heures = env. 21 jours = 3 semaines , non-stop! Je ne veux même pas évoquer les l'état du réseau ou les déconnexions intempestives. Chacun peut calculer soi-même comment cette possibilité va peser sur sa prochaine, et probablement la suivante, facture téléphonique. Vous voyez que ce n'est guère recommandable.

J'ai procédé moi-même à ces calculs au printemps de cette année quand je me suis décidé à faire participer Shredder, avec le soutien de Tablebases, aux Championnats du Monde à Paderborn . Que faire ? J'ai trouvé rapidement sur Internet un petit programme qui peut générer toutes les Tablebases sur son propre ordinateur. Il y avait une petite remarque dans la documentation jointe qui indiquait qu'il fallait pour le calcul des 5-pièces beaucoup de mémoire et également beaucoup de temps, mais je me disais que mon ordinateur, un PII-450 avec 128Mo de RAM, serait assez rapide.

Pour démarrer, je commençais par la génération des 3-pièces. Ceci a été réglé très, très vite et pour continuer on pouvait passer aux 4-pièces. Là, il a fallu deux bonnes heures pour obtenir toutes les bases de données au complet, mais mes problèmes ne faisaient que vraiment commencer. Je commençais avec RFF-RC et toutes les autres finales avec des figures légères. Pour ces finales, il a déjà fallu 1 à 2 jours pour être générées complètement et je commençais à douter de mon entreprise.

Il fallait plus de mémoire donc j'investis dans une barrette supplémentaire de 128Mo, heureusement à l'époque pour un prix abordable. Mais même avec 256Mo de mémoire vive, j'atteignis rapidement les limites de mon ordinateur. Je pouvais encore calculer quelques finales, mais dès les finales contenant au moins un pion ce fut définitivement la fin. Je me décidais à chercher une autre méthode pour recevoir les Tablebases et me consolais que, avec la nouvelle mémoire achetée, je pourrai désormais utiliser de plus grosses Hashtables dans Shredder.

Il ne restait plus que la solution d'acheter quelque part les Tablebases prêtes à l'emploi. En Allemagne, je ne fus pas chanceux, officiellement elles n'existaient nulle part. Je mis néanmoins la main sur un fan des échecs électroniques américain qui avait effectivement télécharger toutes les 5-pièces depuis Internet avec son modem. D'après ses propres dires, il lui a fallu 1,5 mois en continu, ceci n'est sûrement vraiment possible qu'en Amérique. Nous avons réussi à nous mettre d'accord assez rapidement et il me promit de me graver les CD aussi rapidement que possible et de me les envoyer. Effectivement quelques jours plus tard, j'avais le paquet dans ma boîte à lettres.

Tablebases, l'arme ultime

Après toutes ces péripéties, j'étais donc très impatient de voir ce que la nouvelle arme ultime apporterait dans Shredder. J'ai essayé quelques positions de finales avec peu de pièces, et là, les bonnes solutions ont généralement été trouvées plus vite par Shredder avec les Tablebases. J'ai rapidement démarrer quelques parties d'essai et, ici aussi, une nette amélioration. Entre autres, les finales de Tour avec un pion de plus ont été le plus souvent gagnées et avec un pion de moins la nulle a été le plus souvent été sauvée.

J'étais enthousiaste. Mais rapidement, le désavantage des Tablebases m'est apparu aussi. en raison de leur taille, il est impossible de les charger complètement dans la mémoire vive de l'ordinateur. Elles devaient rester sur le relativement plus lent disque dur. Mais un facteur très important dans les échecs électroniques est la vitesse et l'efficacité d'un programme. En finales, surtout avec très peu de pièces, il est très fréquent de rencontrer lans l'arbre de recherche, par exemple lors d'une longue suite de prises, une position avec cinq ou moins de pièces à évaluer.

S'il faut faire un accès sur le disque dur plus lent, le programme est freiné et perd nettement en vitesse de calcul, ce qui peut avoir des conséquences fatales. Dans le pire des cas, il n'y a plus que des accès au disque dur et il ne reste plus assez de temps pour vérifier les variantes importantes. Mais ce problème est solvable par l'emploi d'algorithmes intelligents pour qu'au final l'avantage des Tablebases est de loin prépondérant.

Actuellement, il est nettement plus facile d'accéder aux Tablebases. Toutes les 5-pièces sont livrées entre autre avec Shredder 5 et pour les 5-pièces, il y a des possibilités de livraison entre temps en Allemagne. Ceci est une des meilleures manières de recevoir les Tablebases.

Certains vont se demander pourquoi les Tablebases sont apparues aussi tardivement si elles sont aussi utiles. Une raison est sûrement que la taille des disques durs n'a augmentée que récemment à un niveau pour pouvoir les utiliser. D'un autre côté, il faut aussi dire que les bases de données de finales sont disponibles depuis longtemps.

Les formats précédents étaient néanmoins soit d'accès très rapide sur les base de données mais nécessitaient beaucoup de place sur le disque dur (bases de données d'Edwards), soit tellement comprimés donc l'accès était très long pour pouvoir les utiliser efficacement dans la recherche (bases de données de Thompson). Ce n'est qu'avec les bases de donnes de Nalimov qu'un grand pas en avant a été réalisé. Elles sont réduites à une taille raisonnable par un algorithme de compression très efficace et permettent quand même un accès rapide.

En conclusion je voudrais encore indiquer deux exemples issus de la pratique du Championnat du Monde à Paderborn, dans lesquels l'avantage et la force des bases de données de finale sont mis en évidence. Dans la première partie il est montré que des finales difficiles à jouer, qui contiennent des possibilités de nulle, peuvent être gagnées sans problème quand on peut bénéficier de l'aide de bases de données de finales.

Shredder - Rebel

WCCC99 Paderborn (3), 15.06.1999

1.d4 d5 2.c4 c6 3.Cf3 Cf6 4.Dc2 dxc4 5.Dxc4 Ff5 6.g3 e6 7.Fg2 Cbd7 8.Cc3 Fe7 9.0-0 0-0 10.Te1 Ce4 11.e3 Te8 12.Cd2 Cd6 13.De2 e5 14.d5 cxd5 15.Cxd5 Tc8 16.e4 Fe6 17.Cxe7+ Dxe7 18.b3 Tc2 19.Fa3 Tec8 20.Tec1 Txc1+ 21.Txc1 Txc1+ 22.Fxc1 Dd8 23.Fa3 Db6 24.Ff1 Cc5 25.Fb2 f6 26.De3 Ccxe4 27.Cxe4 Dxe3 28.Cxf6+ gxf6 29.fxe3 Ce4 30.Fe2 Rf7 31.Fd3 Fd5 32.g4 Rg6 33.h4 f5 34.Fe2 Rf6 35.g5+ Re6 36.Rh2 a5 37.Rg1 a4 38.bxa4 Fxa2 39.a5 Fd5 40.Fa3 Cc3 41.Fh5 Fc6 42.g6 hxg6 43.Fxg6 Cd5 44.h5 Rf6 45.Fc5 Cc3 46.Rf1 Ff3 47.Fb6 Fg4 48.Fd8+ Rg7 49.Fc7 Rf6 50.Rg2 Cd5 51.Fd8+ Rg7 52.Rg3 Cxe3 53.Rh4 Cd5 54.Rg5 Fh3 55.h6+ Rg8 56.Fe8 Cf4 57.Fd7 Fg4 58.Fc8 Rh7 59.Fc7 Ch3+ 60.Rf6 Cf2 61.Fxb7 Ce4+ 62.Rxe5 Fe2 63.a6 Fxa6

8/1BB4k/b6P/4Kp2/4n3/8/8/8 w - -

Au coup suivant Shredder annonce un mat en 31 coups! Sans l'aide des bases de données de finales, ce serait absolument impossible. On aboutit à une finale RFF-RC qui serait éventuellement difficile à gagner en 50 coups. Avec l'aide des bases de données, ce n'est plus un obstacle pour Shredder, le chemin vers le mat est déjà indiqué en totalité. 64.Fxa6 Rg6 65.h7 Rxh7 66.Rxf5 Cc5 67.Fc4 Cd7 68.Fb5 Cc5 69.Fb6 1-0

La deuxième partie est un très bel exemple que les programmes d'échecs avec l'aide des Tablebases peuvent être supérieures dans certaines positions de finale aux Grands-Maîtres même si la finale est encore le talon d'Achille des programmes d'échecs actuels.

Ferret - Shredder

WCCC99 Paderborn, 18.06.1999

1.e4 e5 2.Cf3 Cc6 3.Fc4 Fc5 4.b4 Fxb4 5.c3 Fa5 6.d4 exd4 7.0-0 Cge7 8.cxd4 d5 9.exd5 Cxd5 10.Fa3 Fe6 11.Fb5 Fb4 12.Fxc6+ bxc6 13.Fxb4 Cxb4 14.Da4 Dd6 15.Cc3 Cd3 16.d5 Cc5 17.Dxc6+ Dxc6 18.dxc6 Re7 19.Tfe1 Cd3 20.Te3 Cb4 21.Cd4 Thd8 22.Td1 Rf6 23.a3 Cd5 24.Ce4+ Re7 25.Tee1 Fg4 26.f3 Fc8 27.Cc5+ Rf6 28.Cb5 Fe6 29.Ca6 Tac8 30.Cbxc7 h5 31.h3 h4 32.a4 Cxc7 33.Txd8 Txd8 34.Cxc7 Tc8 35.Cxe6 fxe6 36.Tc1 e5 37.Rf2 Re6 38.g3 hxg3+ 39.Rxg3 Rd6 40.Td1+ Re6 41.Td7 Txc6 42.Txg7 Tc3 43.Tg4 Rf5 44.h4 Tc1 45.h5 Tc6 46.Tg7 Ta6 47.Tg4 Tc6 48.Tg7 Ta6 49.Tg8 Tb6 50.Rh4 Tb4+ 51.Rg3 Tb6 52.Rh4 Tb4+ 53.Tg4 Tb2 54.Rg3 Tb6 55.a5Td6 56.Tg7 Ta6 57.Tg8 Td6 58.Rh4 Td4+ 59.Rg3 Td6 60.Tb8 Rg5 61.Te8 Td5 62.a6 Ta5 63.Te7 e4 64.Txa7 Ta3 65.Rf2 Txf3+ 66.Re2 Rxh5

8/R7/P7/7k/4p3/5r2/4K3/8 w - -

Dans cette position les deux GM présents, Boris Altermann et Thomas Luther, ne donnaient aucune chance aux Noirs. Pour les deux il est clair que les Blancs peuvent facilement gagner cette finale. Mais les deux programmes disposent des Tablebases et indiquent en toute quiétude à ce moment et plus tard une évaluation nulle, ce qui se vérifiera plus tard à l'analyse. 67.Ta8 Tf7 68.Re3 Te7 69.Tb8 Rg6 70.Tb6+ Rf5 et ½-½

Conclusion

Que peux-t-on conclure sur les Tablebases? Si on évite les quelques écueils lors de l'implantation, on dispose d'un très puissant moyen d'améliorer très nettement le comportement d'un programme d'échecs dans certaines positions. Ceci a été reconnu par la plupart des auteurs e programmes d'échecs. Beaucoup de nouveaux programmes, naturellement aussi Shredder, utilise le nouveau format de Tablebases.

Stefan Meyer-Kahlen


Valeur de pions

La valeur (unité) de pions sert comme unité à un programme d'échecs pour l'évaluation d'une position.

Il existe une échelle pour la valeur des pièces en valeur de pions:

  • Dame 9 unités de pions

  • Tour 5 unités de pions

  • Fou 3 unités de pions

  • Cavalier 3 unités de pions

  • Pion 1 unité de pions

Les critères positionnels sont indiqués en fractions de valeur de pions.


Bases de données/Formats

Bases de données

Pour travailler efficacement avec le programme, il faut que la possibilité existe pour sauvegarder des parties et des positions dans un seul fichier. Pour la gestion de ces données Shredder utilise les formats de fichiers les plus connus dans le domaine des échecs électroniques. Ainsi vous avez la possibilité de gérer efficacement les données et de les échanger avec d'autres logiciels d'échecs.

Les standards suivants sont disponibles:

Format CBF

Shredder utilise les bases de données au format CBF. Il provient à l'origine des programmes ChessBase et, depuis, est mis en oeuvre par d'autres programmes d'échecs. Shredder peut enregistrer dans la notation en plus du texte aussi des variantes qui sont affichées lors de la lecture de la partie. Dans les bases de données CBF se trouvent en général un grand nombre de parties. Pour chaque partie de nombreuses informations sont enregistrées en plus de la notation. Vous pouvez sauvegarder en plus des coups de la partie le nom des joueurs, l'année, le résultat, le code d'ouverture, des commentaires et des variantes. Un grand avantage du format CBF est que l'enregistrement est très compact et l'accès par les fonctions de recherche est très rapide. Si possible vous devriez sauvegarder les parties et les positions au format CBF.

Format PGN

Le format PGN s'est imposé comme le standard pour la sauvegarde de parties d'échecs en particulier sur Internet. A l'inverse du format CBF, le PGN est basé sur le format ASCII et nécessite nettement plus de place sur le disque dur pour le même contenu. Comme les données sont stockés dans un format texte, on peut intervenir sur le contenu avec n'importe quel éditeur de texte. Le format PGN enregistre comme le format CBF des informations comme le noms des joueurs, l'année, le résultat, le code d'ouverture, les commentaires et les variantes en plus de la notation.

EPD

Les bases EPD sont, comme le PGN, des fichiers ASCII dans lesquelles sont stockées uniquement des positions. Les commentaires conformes au standard EPD sont pris en compte par Shredder.


Format EPD

Le format de fichier EPD

Un problème majeur au premiers temps des échecs électroniques: chaque programme d'échecs possédaient son propre format de fichiers qui était pratiquement toujours incompatible avec celui des autres programmes. Il manquait tout simplement un standard pour la sauvegarde de parties et de positions. Entre temps la situation a changé du tout au tout. Il existe toujours divers formats de données mais leur nombre est devenu visiblement plus réduit. Beaucoup d'utilisateurs ont souvent affaire avec les formats de données CBF qui a pris une place de quasi standard car il est pris en compte par beaucoup de programmes d'échecs -- dont aussi Shredder.

Le problème fondamental pour les programmeurs en échecs est que le format des données et la structures de celles-ci des programmes commerciaux ne sont en règle générale non documentés et pas disponibles librement. A partir de ce constat, des formats de données se sont développés, dans les échecs électroniques, qui se basent sur du pur texte ASCII pour pouvoir sauvegarder aussi bien des parties que des positions d'échecs.

Le standard pour l'enregistrement de parties d'échecs complètes (notations) est le format PGN. Dans un fichier PGN qui peut être lu et aussi modifié avec n'importe quel éditeur de texte, il est possible de sauvegarder une partie en particulier ou même plusieurs parties dans un fichier.

A l'inverse du PGN, le format EPD, également basé sur Ascii (texte simple) et très bien adapté pour l'enregistrement de positions d'échecs, est moins courant pour beaucoup d'utilisateurs. En plus d'une intégration relative simple dans un programme d'échecs de ces formats (bien documentés!), aussi bien le PGN que l'EPD offrent justement à l'ère d'Internet quelques avantages que nous voulons vous montrer dans le texte qui suit.

Structure d'un élément EPD

Voyons d'abord une entrée d'un fichier EPD qui peut contenir facilement plusieurs de ces éléments (Strings):

rn1qr1k1/1p2bppp/p3p3/3pP3/P2P1B2/2RB1Q1P/1P3PP1/R5K1 w - - bm bxh7;

Ceci peut sembler de prime abord un peu critique pour l'utilisateur, un programme avec un interpréteur au format EPD lit cette ligne de texte comme une position sur un diagramme.

Sélectionnez l'élément texte ci-dessus avec la souris et copiez le avec le raccourci clavier Ctrl-C dans le Presse-papiers Windows. Passez à présent dans Shredder et actionnez la combinaison de touches Ctrl-V.

La position de l'échiquier est reprise et vous pouvez analyser ou sauvegarder la position avec Shredder.

Le string EPD

Pour une meilleure compréhension, les remarques suivantes:

1. Chaque définition de position dans un fichier EPD est inscrite dans une seule ligne.

2. L'échiquier est représenté à partir du coin en haut à gauche vers celui en bas à droite.

3. Les rangées de l'échiquier sont toujours séparées par un trait oblique.

4. Par défaut ce sont les dénominations des pièces en Anglais (KQRBNP) qui sont utilisées.

5. Les pièces blanches sont représentées en majuscules et les noires en minuscules.

6. Les cases vides, ou le nombre de cases vides, sont représentées par un nombre dans EPD.

7. Quand la position de l'échiquier est définie, il y a un espace puis le droit au trait. "W" pour les Blancs, "B" pour les Noirs. Maintenant il faut encore définir les droits aux roques.

8. "K" indique le petit roque des Blancs, ""Q" le grand roque des Blancs. Pour les droits aux roques des Noirs les mêmes lettres sont utilisées mais en minuscule.

Comme utilisateur, vous devriez prendre note que EPD sont des purs fichiers en texte qui contiennent des descriptions de positions. Cela suffit pour le moment pour une utilisation efficace du format EPD.

Utilisation de EPD

Que peut-on faire avec le format EPD ? Si vous surfez souvent sur Internet et visitez des fora ou des sites d'échecs, vous serez confronté relativement souvent au format EPD. Examinons cela à l'aide d'un exemple pratique. Supposons que vous trouvez dans un courriel ou dans un forum, un diagramme d'échecs et la description au format EPD qui contient la description de la position du diagramme:

r1br2k1/ppp2q1p/nb3p2/6p1/2PN1B2/2P2B2/P1Q2PPP/3RR1K1 w - g6 bm nc6!;

Comment pouvons-nous utiliser ce string EPD dans un autre programme d'échecs aux fins d'analyse ? La solution est simple: sélectionnons la description Ascii à l'aide de la souris et copions la dans le Presse-papiers avec la combinaison de touches Ctrl-C. Et maintenant comment utiliser cette information dans un autre programme d'échecs? Pour cela il existe selon le programme plusieurs solutions, mais avant tout quelques fonctions élémentaires:

1.) Démarrons n'importe quel éditeur de texte par ex. le Bloc-notes de Windows. Choisissons dans le menu ÉDITER la commande COLLER. Et zou, le string EPD est dans l'éditeur. Sauvegardons le string EPD sur le disque dur. Veuillez faire attention à utiliser l'extension (fin du nom de fichier) *.EPD. Ce fichier EPD peut être lu par chaque programme d'échecs puisque celui-ci peut manipuler ce format!

2.) Une possibilité supplémentaire est possible avec le Presse-papiers par l'échange d'informations sans passer par l'enregistrement de données. Shredder utilise ce standard Windows pour échanger rapidement des données. Cette procédure et d'autres options des programmes d'échecs les plus importants seront présentées plus loin dans le texte.

Au cas où vous ne sauriez pas ce qu'est le Presse-papiers et comment l'utiliser, quelque mots à ce sujet. Au risque d'ennuyer les utilisateurs avertis, nous aimerions décrire au moins succinctement le processus. Une fonction élémentaire de Windows est l'action successive de Coller-Copier. Les combinaisons de touches Crtl-C (Copier) et Ctrl-V (Coller) sont par défaut sous Windows. Avec la combinaison de touches Ctrl-C vous copiez un objet marqué - qui peut être du texte, une image ou aussi bien sûr un string EPD - dans une zone réservée de la mémoire, le Presse-papiers. Avec la combinaison de touches Ctrl-V, vous collez l'objet préalablement copié depuis le Presse-papiers dans l'application de votre choix. Cette technique est pris en compte par tous les bons programmes Windows par ex. les éditeurs de texte, les programmes de dessins et par quelques programmes d'échecs.

Dans le format EPD, il existe même la possibilité d'insérer des commentaires. Revenons au string EPD de notre exemple précédent. A la fin de la ligne se trouve "bm nc6". Le raccourci "bm" est mis pour "best move" et donne le bon coup (du moins le bon coup supposé). "N" est l'initiale utilisée dans la notation algébrique anglaise pour Cavalier, le coup optimal indiqué dans la position plus haut est donc Cf6! Shredder tient compte automatiquement lors de l'analyse d'un ou plusieurs strings EPD de ce commentaire et indiquent directement dans le Logfile si la solution indiquée dans le commentaire est trouvée ou non!


Structure de fichier des Tablebases

Pour chaque type de finale il y a deux fichiers dans lesquels le trait est déterminé, un pour les Blancs et un pour les Noirs.

Au vu du nom du fichier, on peut reconnaître quelle finale est contenue dans les fichiers.

Exemple: KQRK.NBB contient la finale Roi+Dame contre Roi+Tour. Les abréviations, par ex. Q(Queen) sont celles des noms des pièces en Anglais. L'extension du nom de fichier NBB signifie concrètement N=Nouveau, B=Base, B=Noirs (black) au trait; NBW signifie N=Nouveau, B=Base, W=Blancs (white) au trait.

Le nom de fichier contient une deuxième extension *.EMD utilisée pour Tablebases comprimées. En principe l'utilisateur n'a pas à s'en occuper car les programmes accèdent directement aux Tablebases.

Shredder utilise également les nouvelles 6-pièces !


La réflexion permanente

Réflexion permanente

La réflexion permanente est la possibilité pour un programme d'échecs de continuer à calculer sur le temps de réflexion de l'adversaire. Tous les programmes d'échecs importants utilisent cette technique, donc naturellement aussi Shredder.

Le programme calcule pendant le temps de réflexion de l'adversaire. Le programme part du principe que l'adversaire joue le coup prévu et peut ainsi répondre rapidement. Ceci économise beaucoup de temps de réflexion en cas de pourcentage de prévision du coup adverse.

La réflexion permanente est également responsable de la réponse sans délai de Shredder à un coup de l'adversaire, en particulier pour des temps de réflexion plus longs.

Si vous procédez à des tests de position ou des comparaisons de solution avec Shredder, vous devriez couper absolument la réflexion permanente.

Sinon, il se pourrait que Shredder utilise des valeurs déjà calculées depuis les Hashtables. Ceci gêne énormément la comparaison des temps de résolution.


L'arbre de position

Arbres d'ouvertures

de Stefan Meyer-Kahlen

Qu'est-ce qu'un arbre d'ouvertures ?

Chaque nouveau programme d'échecs avance qu'il possède un "arbre d'ouvertures" au moyen duquel l'utilisateur a accès à la théorie complète des ouvertures. Mais qu'est-ce qu'exactement un arbre d'ouvertures ?

Un arbre d'ouvertures est une grande base de données de positions et de coups d'échecs avec l'aide de laquelle on peut trouver si dans la position donnée des coups connus ont déjà été joués. Un ordinateur a besoin de ce savoir pour pouvoir jouer rapidement un coup dans la phase d'ouverture sans utiliser ses algorithme de calcul interne. Ainsi il économise du temps de réflexion et évite des fautes stratégiques dans l'ouverture. Jusque là, rien de nouveau mais dans cette base de données sont stockées avec les différents coups différentes informations complémentaires.

On peut par exemple trouver pour chaque coup, combien de fois il a déjà été joué et son score de réussite, c'est à dire combien de fois les Blancs ou des Noirs ont gagné, perdu ou fait nulle avec ce coup. De plus on peut aussi voir quel est la moyenne Elo des deux côtés et même depuis peu en quelle année le coup a été fréquemment joué.

Ainsi on peut faire très bien la différence entre les variantes classiques ou modernes. Avec ces informations on peut facilement calculer la performance Elo de chaque coup. Par ex. il y a une différence à obtenir 60% contre des adversaires de même force ou alors 80% contre des adversaires plus faibles. Pour illustrer, je voudrais juste donner l'exemple pour l'extrait d'un arbre d'ouverture à partir de la position initiale:

 | Parties | Cote | Elo | Performance
1.e4 | 65432 | 55,4% | 2427 | 2450
1.d4 | 40212 | 53,4% | 2453 | 2469
1.c4 | 8011 | 51,3% | 2432 | 2463

On voit que 1.e4 a été le plus joué (65432 fois) et a également la plus grande cote de succès (55.4%). Avec 1.d4, néanmoins, c'est la plus grande performance Elo qui a été atteint (2469 Elo) et il a été joué par des joueurs plus forts (moyenne Elo 2453). 1.c4 est joué moins souvent et la cote de succès est comparable même si elle est un peu plus faible.

Avantages d'un arbre de positions

Comme nous le voyons, ce concept fournit une masse d'informations très utiles, et c'est cela la nouveauté essentielle. Jusqu'à présent seul l'ordinateur, ou du moins le programme, était à même de profiter des connaissances contenues dans sa bibliothèque d'ouvertures, maintenant l'utilisateur humain a également un système d'information utile sous la main.

Il peut maintenant se préparer très précisément dans une variante d'ouvertures donnée et examiner les coups déjà joués dans cette variante sur leur côté pratique. De plus, il voit de suite si la théorie actuelle est au bout sans devoir au préalable fouiller dans divers livres d'échecs ou dans des bases de données électroniques.

Les programmes d'échecs ont aussi gagné une réelle plus-value. Naturellement , ils utilisent les les informations enregistrées pour le choix de leurs coups dans l'ouverture. Si dans une position donnée, par exemple, deux coups sont possibles dont l'un a été joué trois fois et avec lequel la partie a abouti à une débâcle dans les trois cas, alors que l'autre a un score de 60% en 100 parties, le choix du coup du programme devrait être clair.

Mais ce n'est de loin pas tout. Il est maintenant plus facilement possible d'influencer la façon de jouer dans l'ouverture. Par les possibilités nombreuses de paramétrage; on peut déterminer si le programme ne doit jouer que les meilleurs coups ou s'il peut choisir aussi, pour diversifier, de temps à autre un coup potentiellement plus faible. De plus on peut ne faire jouer que les variantes principales, mais aussi se contenter que des variantes secondaires.

Inconvénient du concept

Après la description de tous ces avantages, vous vous posez la question s'il y a aussi des inconvénients à cette méthode. Comme on s'y attend, il en existe aussi. D'abord il est à remarquer que les bases de données deviennent beaucoup plus grandes que ce à quoi on était habitué. Ceci tient bien sûr à ce que l'on enregistre aussi, en plus des coups, les diverses informations complémentaires comme le nombre de parties jouées, etc. 0 mon avis, ce point n'est néanmoins pas tragique. Les bases de données n'atteindrons pas, et de loin, la taille des bases de données de finales dont j'avais parlé le mois dernier, avec 100Mo on obtient déjà une connaissance des ouvertures assez étendue.

De plus l'accès n'est pas très fréquent, en principe une seule fois par coup joué, ainsi ce n'est pas un grand désavantage de ne pas charger la bibliothèque dans la rapide mémoire vive de l'ordinateur. Il est même possible en cas de place réduite disponible sur le disque dur de la laisser sur CD-Rom et d'y accéder à partir de celui-ci. Mais avec la chute rapide des prix des disques durs cela ne devrait bientôt plus être nécessaire.

Il y a aussi d'autres inconvénients moins voyants. Pour cela j'aimerais revenir à l'exemple cité plus haut: un coup a été joué dans une position donnée avec un score de 60%. Est-ce que ce coup est effectivement bon, c'est à dire peut-on le jouer sans arrière-pensée? Au premier coup d'œil sûrement, mais si on est conscient que la théorie échiquéenne n'est pas figée mais se développe toujours et change dynamiquement, on met le doigt sur la plaie: Et si sur les 100 parties les 10 dernières ont toutes été perdues?

Il est sûrement possible, et dans ce cas très probable, qu'il y a une réfutation dans cette variante, et donc le coup n'est plus jouable. Si on ne prend en compte que le score global de 60%, on ne peut pas éclairer ce fait. Mais comme toujours, il y a aussi une solution à ce problème. J'ai implanté dans Shredder un algorithme qui reconnaît cela et les coups pour lesquels il y a une réfutation probable, ne sont plus pondérés aussi haut. D'après mes tests, cette procédure fonctionne très bien.

Améliorer un arbre de positions

Un point important n'a pas encore été abordé: d'où proviennent les données incluses dans un livre d'ouvertures? D'après ce qui a été dit jusqu'à présent, il est clair que pour chaque arbre d'ouvertures, il doit exister une base de parties avec les données de laquelle a été générée la bibliothèque. De plus il devrait être évident que la qualité de l'arbre d'ouvertures dépend directement de la qualité des parties utilisées. Pour un fort joueur d'échecs, il n'y a par ex. guère d'intérêt à s'occuper d'un arbre d'ouvertures et des informations contenues dans celui-ci, s'il est obtenu avec des parties de championnat cantonal de "Trifouilles les Oies".

De nos jours, ce n'est plus un problème pour se procurer des bases de données avec des parties récente de qualité, et il est ainsi assez aisé de créer des arbres d'ouvertures de très bonne qualité. Quand on parle d'avoir accès à la théorie complète des ouvertures, il faut que bases de de données utilisées soient assez vastes. Il doit être néanmoins possible de générer un arbre qui contient tout ce qui a été joué un jour, ou du moins les parties publiées, et à propos duquel on pourrait dire qu'il contient l'ensemble des connaissances sur les ouvertures.

Un arbre d'ouvertures n'est jamais démodé, car il est possible d'étendre le contenu des données par l'ajout de nouvelles parties. Les informations statistiques sont elles-même automatiquement actualisées. Il faut seulement faire attention à ne pas ajouter une partie en double car les statistiques seraient faussées.

Notamment, si on importe 1000 fois sa partie préférée, les variantes qui y sont jouées auront du coup un score de succès à laisser rêveur. Il serait techniquement possible d'empêcher l'importation d'une même partie, voir le reconnaître, mais ce serait vraiment très contraignant et nécessiterait beaucoup de place de stockage.

On peut aussi générer des arbres contenant toutes les parties d'un joueur donné, par ex. Karpov. On peut ainsi examiner de près le répertoire d'ouvertures de ce joueur et mettre à jour les forces et les faiblesses de ce joueur. Si on fait jouer un programme avec cet arbre comme bibliothèque d'ouvertures, on peut simuler en principe Karpov, ou n'importe quel autre joueur, du moins dans la phase d'ouverture.

On a donc toujours la possibilité de jouer contre n'importe quel joueur, ou plutôt contre son répertoire d'ouvertures. Si on trouve assez de parties de son prochain adversaire dans sa base de données, on peut bien sûr en user comme d'une excellente préparation

Conclusion

Une comparaison par rapport aux temps anciens, lorsque la bibliothèque d'ouvertures d'un programme d'échecs était fabriquée par la saisie manuelle des coups et le concept de l'arbre d'ouvertures qui peut être amélioré en un éclair avec des données d'une base, démontre par l'absurde l'avantage de la méthode. On ne doit cependant pas oublier que l'ensemble des statistiques dans un arbre d'ouvertures se rapporte presque toujours aux parties entre deux joueurs humains. Un coup qui a une bonne cote dans l'arbre d'ouvertures a donc fait ses preuves dans le jeu entre humains.

Un coup est bon pour un humain ne veut pas dire, loin de là, qu'il doit être aussi bon contre un ordinateur, les spécialistes des bibliothèques ne deviendront pas chômeurs dans un avenir proche. Il existe beaucoup d'exemples dans lesquels il vaut mieux qu'un ordinateur ne joue pas ce coup qui est le meilleur du point de vue d'un joueur humain. Les ordinateurs jouent tout simplement aux échecs différemment des humains. Je vous renvoie sur les explications de Peter Schreiner sur le thème des bibliothèques d'ouvertures.

Comme vous pouvez le voir, le concept des arbres d'ouvertures a nettement plus d'avantage que d'inconvénients, du reste les quelques inconvénients ne pèsent pas très lourds ou peuvent être contournés par une programmation habile. Il est donc, pour l'utilisation de chaque programme et pour chaque utilisateur avantageux de s'intéresser aux arbres d'ouvertures. La publicité a pour une fois raison, un produit vraiment très intéressant.

Stefan Meyer-Kahlen


Classification ECO

Les clés ECO sont un système pour le classement des ouvertures.

Le nom est l'abréviation de la dénomination anglaise de l'Encyclopédie des ouvertures d'échecs (Encyclopedia of Chess Openings).

Le système ECO est le standard le plus utilisé pour la classification des ouvertures.

Chaque clé est composée d'une lettre de A à E et d'un nombre de deux chiffres de 00 à 99.

Il y a donc 500 clés de A00 à E99.

Les clés ECO sont une aide importante pour rechercher des parties avec une ouverture donnée dans une base de données. Elles ont l'avantage par rapport à la description littérale d'une ouverture d'être nettement plus précises et compréhensibles au niveau international.

Shredder affiche la clé ECO d'une partie dans la fenêtre de notation et peut la sauvegarder dans la partie.

Vous pouvez déterminer plus précisément la clé ECO quand vous relisez la partie et faites attention à l'affichage dans la fenêtre de notation. Il y a de nombreuses inversions de coups possibles. Shredder connaît un grand nombre de positions pour classer les parties. Le programme devrait donc, le plus souvent, classifier correctement les parties.


Pendule Fischer

Une invention de l'ancien Champion du Monde Bobby Fischer.

Le joueur obtient après chaque coup un bonus de temps.

Le zeitnot extrême doit être ainsi évité.

Shredder utilise la pendule Fischer.


Qu'est-ce que les bases de données de finales ?

Les bases de données de finales contiennent des finales entièrement analysées. Lors de l'accès à ces bases, un programme d'échecs n'est pas obligé de calculer les meilleurs coups mais peut extraire l'information directement dans la base de données. Actuellement les bases de données de trois, quatre ou cinq pièces avec toutes les positions sont existantes. Un programme d'échecs avec une interface vers les bases de données de finales joue donc parfaitement une finale si la position correspondante avec toutes ses suites est enregistrée dans la base.

Pour les échecs électroniques, il existe deux types de bases de données de finales:

  • Bases Thompson de Ken Thompson

  • Tablebases Nalimov de Eugene Nalimov

Bases Thompson

Les bases de données de finales de Ken Thompson ont été publiées pour la première fois en 1991. Grâce à un procédé de compression spécial, les finales les plus importantes sont stockées sur 4 CD. La théorie des finales est redevable de'importantes nouvelles connaissances à ces bases de données de finales. Ainsi, on a pu prouver que la finale 2 Fous contre Cavalier est en principe gagnée ou que certaines finales comme 2 Fous contre Cavalier ou 2 Cavalier contre pion nécessitent plus de 50 coups pour le gain.

L'accès aux bases Thompson est statique. Les informations contenues dans les bases Thompson ne sont utilisées dans le processus de recherche du programme d'échecs que si la position correspondante est sur l'échiquier. Shredder n'utilise pas les bases de données Thompson.

Tablebases Nalimov

Les bases de données de finales de Eugene Nalimov ont été publiées en 1998 et sont supérieures du point de vue de la conception aux bases Thompson. Dans les milieux spécialisés on nomme les bases de données Nalimov Tablebases.

Les Tablebases les plus courantes actuellement contiennent pour les positions à trois, quatre, cinq et certaines six pièces, toutes les constellations de positions possibles. Pour chaque position possible une information est stockée pour le gain, la nulle ou la perte. Si une position est gagnée ou perdue le nombre maximal de coups menant au mat est indiqué..Un programme d'échecs avec une interface vers les Tablebases peut donc donner une indication précise pour toutes les positions à trois, quatre ou cinq pièces et tenir compte des valeurs depuis les bases de données de finales même pendant le processus de recherche à l'inverse des bases de données de Thompson.


HashTables

Qu'est-ce que les Hashtables ?

de Stefan Meyer-Kahlen

Tous les programmes d'échecs actuels utilisent des Hashtables. Tous ceux qui s'occupent d'échecs électroniques en ont certainement déjà entendu parler. Mais je ne suis pas sûr si chacun sait ce dont il est question exactement.

En principe, les Hashtables sont déjà une vieille histoire dans les échecs électroniques. Déjà les légendaires programmes sur les gros ordinateurs des temps primitifs les utilisaient et elles sont aussi une évidence pour les programmes actuels. Je peux cependant encore me souvenir de l'introduction avec son et trompettes des Hashtables pour les micro-ordinateurs. Comme pour toute nouveauté qui se respecte, on annonçait, et naturellement surtout aux clients et utilisateurs, la grande percée dans les échecs électroniques. L'étaient-elles vraiment ?

La signification des Hashtables

Les Hashtables ne sont pas seulement utilisées dans les échecs électroniques, mais aussi dans beaucoup d'autres utilisations de logiciels. Il s'agit d'une procédure standard en informatique sur laquelle il existe d'innombrables publications et des algorithmes connus, mais nous voulons nous concentrer sur leur usage dans les échecs électroniques.

Voyons d'abord comment on pourrait désigner les Hashtables en Français courant: on parlerait de "tableaux d'inversion de coups". Cette expression est sûrement plus à même de se représenter quelque chose de valable. Elle décrit le sens des Hashtables assez bien, mais pour comprendre effectivement de quoi il s'agit, je dois décrire brièvement la manière de fonctionner d'un programme d'échecs.

Tous les programmes d'échecs commerciaux actuels fonctionnent sur le même principe: toutes les possibilités de coups sont essayées dans l'ordre, le meilleur coup calculé est ensuite joué. Naturellement, ce n'est pas toute la vérité, le grand art dans les échecs électroniques est de reconnaître à temps quelles possibilités de coups sont judicieuses pour que la recherche sur celles-ci soit menée rapidement ainsi que d'approfondir particulièrement les variantes intéressantes.

Néanmoins, 99.99% du temps est encore consacré par les programmes de pointe actuels à examiner des suites de coups insensés qu'un humain sait reconnaître pour ne jamais être exécutés sur un échiquier. C'est pourquoi il n'est pas totalement faux d'admettre que toutes les variantes sont examinées. Quand on réfléchit un peu et qu'on se demande de quelle manière les programmes d'échecs pourraient bien jouer s'ils ne dilapideraient pas une grande part de leur temps ainsi, ce serait sûrement une conclusion justifiée.

D'un autre côté, la vitesse de calcul est, sans conteste, la force des ordinateurs et, au fil du temps, il est devenu évident qu'il est plus efficace de prendre une grande partie de son temps avec l'évaluation de positions et de suites de coups ineptes plutôt que d'essayer de prime abord de ne sélectionner que les coups sensés. Les ordinateurs jouent simplement différemment que les humains, ils ne savent que quelque chose est mauvais que s'ils l'ont eux-mêmes essayé.

Mais revenons à notre sujet. Voyons les suites de coups depuis la position initiale

1.Cf3 Cf6 2.Cc3 Cc6,

1.Cc3 Cc6 2.Cf3 Cf6,

1.Cf3 Cc6 2.Cc3 Cf6 et

1.Cc3 Cf6 2.Cf3 Cc6.

Chaque joueur d'échecs, et même un non-joueur, constatera immédiatement que la position obtenue avec les quatre suites de coups ci-dessus est totalement identique. Mais comme il a déjà été dit, les programmes d'échecs ne sont pas aussi malins, et de loin, que l'on pourrait le supposer, c'est pourquoi je ne surprendrais personne, j'espère, en affirmant que les suites de coups ci-dessus sont d'abord totalement différentes pour un programme et lors du traitement toutes les suites de coups sont évaluées indépendamment. Il effectue donc le quadruple du travail nécessaire!

Cette particularité extrêmement peu satisfaisante a été mise en évidence très tôt par les programmeurs de logiciels d'échecs et les a bien sûr dérangés. Ils se sont mis en quête de solutions et ont découvert une réponse à ce problème par l'emploi des Hashtables. Les Hashtables sont donc essentiellement utilisées dans les échecs électroniques pour reconnaître de telles inversions de coups en enregistrant les positions déjà évaluées pour économiser par leur entremise du temps de traitement. D'où aussi, l'appellation "tableaux d'inversion de coups".

La gestion des Hashtables

La chose n'est quand même pas tout à fait aussi simple. Il reste à solutionner deux problèmes. La mémoire vive des ordinateurs actuels est déjà très grandes, mais de loin pas assez pour enregistrer toutes les positions apparaissant et de pouvoir les lire au besoin. De plus les Hashtables existent depuis longtemps, même lorsque la mémoire vive était rare et chère. Comment arrive-t-on à reconnaître malgré tout les inversions de coups comme ci-dessus?

Le problème suivant est alors comment les reconnaître rapidement et efficacement, car si cela dure trop longtemps, il serait plus judicieux d'essayer toutes les possibilités séparément. Heureusement, il existe en informatique des procédures standards, soit dans ce cas les Hashtables. Le truc est d'attribuer à chaque position un code, par l'intermédiaire duquel, il est rapide de reconnaître plus tard si la position se répète. Dans mon programme d'échecs Shredder la position initiale est par ex. codée par le nombre 64-bits 0x7623EEBC5FD42FDA.

Un humain ne peut rien en faire, mais pour un ordinateur ceci n'est pas un problème, il peut en une fraction de seconde comparer des milliers de tels chiffres entre eux. Pour le deuxième problème de l'efficacité, il existe une solution qui serait néanmoins trop longue à exposer clairement ici. Il suffit de savoir qu'il est possible très rapidement de calculer un nombre pour une position comme celle ci-dessus.

La pratique

Comment procède-t-on en tant que programmeur d'échecs? Pour chaque position évaluée, on enregistre la valeur de la position avec son code dans les Hashtables. Avant chaque examen d'une nouvelle position on vérifie simplement dans les Hashtables si la position a déjà reçu une évaluation et si oui, on prend simplement cette valeur et c'est fini. En principe c'est tout, mais il reste deux problèmes à prendre en compte.

Nous savons qu'il existe plus de positions que celles qui sont stockables dans la mémoire vive et aussi beaucoup plus de positions que celles que l'on peut représenter dans un nombre 64-bits. Que se passe-t-il si la mémoire vive est saturée ou si deux positions sont représentées par le même nombre? La dernière éventualité est forcément plus fréquente car il y a beaucoup plus de positions que de codes disponibles.

Le premier problème est assez facile à résoudre. Si la mémoire est pleine, il faut supprimer une entrée pour faire de la place. On procède naturellement en effaçant une entrée qui sera probablement plus utilisée. Par contre si on se trompe et si l'entrée qui vient d'être effacée est à nouveau nécessaire plus tard, on doit le recalculer et on ne pas simplement lire sa valeur. On ne peut pas tout avoir.

Le deuxième problème est de premier abord plus délicat. Dans le cas où on a deux numéros de code, et qu'ils sont identiques, on ne peut pas être certain à cent pour cent que les deux positions correspondantes le sont aussi, c'est à dire que l'on n'est pas sûr que la position en cours a effectivement déjà été analysée quand on trouve le même code dans les Hashtables.

Quand deux positions différentes sont stockées avec le même code, on parle de collision de Hash. Collisions de Hash semblent violentes, mais ne le sont pas réellement. Si on choisit avec soin la fonction qui attribue un code à une position donnée on peut presque exclure les collisions de Hash. Néanmoins, seulement presque, car un risque à la marge subsiste. Si une collision de Hash survient effectivement, elle est la plupart du temps anodine car la probabilité qu'elle apparaisse dans une variante secondaire est très, très grande. Comme nous l'avons vu 99.99% des variantes calculées par un programme d'échecs sont inintéressantes.

Si une collision intervient quand même dans une variante importante et sensée, des problèmes peuvent en découler. Supposons que vous savez qu'une position avec une Dame et une Tour de mieux est très, très bonne et brusquement vous reprenez cette valeur tout à coup pour une autre position où la partie adverse possède un Cavalier de plus.

Si, maintenant, vous pensez que le jeu avec un programme d'échecs est le produit du hasard et ne produit de résultats intéressants qu'avec beaucoup de chance et sans collisions, alors je peux vous rassurer, dans ma carrière e programmeur d'échecs aucune collision de Hash n'est intervenue à ma connaissance. Les collisions de Hash sont par contre une très bonne excuse pour le programmeur en cas de coups particulièrement stupides de leur programme que l'on ne peut jamais avoir programmé aussi mal. Citation: "Je n'y peux rien, il doit s'agir d'une collision de Hash."

Conclusion

Maintenant que vous savez ce que sont des Hashtables et quelle taille doit leur être attribuée, se pose la question de leur efficacité. Il devrait être établi que plus un programme regarde loin en avant, plus le nombre d'inversion de coups possibles augmente. Comme en finale, il y a moyen de possibilités de coups à jouer qu'en milieu de jeu ou dans l'ouverture, et que le programme peut ainsi voir plus loin, les Hashtables sont bien plus utiles en finale. L'exemple type pour l'utilité des Hashtables est la position suivante:

8/k7/3p4/p2P1p2/P2P1P2/8/8/K7 w - -

Comme les pions sont bloqués, seuls les Rois peuvent jouer pour le moment, il en résulte un nombre considérable d'inversions de coups possibles. Le coup candidat 1.Rb1, sans l'aide des Hashtables, ne sera pas trouvé ou seulement au bout de quelques jours de calcul sur un ordinateur rapide. Avec les Hashtables, la chose se présente différemment. Au bout de quelques secondes, l'ordinateur indique que 1.Rb1 peut amener un avantage gagnant aux Blancs. Ceci est bien sûr un exemple extrême, un tel gain ne peut pas être atteint dans tous les positions, mais également en milieu de partie avec beaucoup de pièces sur l'échiquier, les Hashtables sont d'une grande aide dont on ne veut plus se passer, une fois qu'elle est implémenté dans son programme.

Stefan Meyer-Kahlen


Fonctions d'apprentissage

Shredder dispose de fonctions d'apprentissage élaborées. Les fonctions d'apprentissage poursuivent les buts suivants:

  • Performance accrue dans les parties et les analyses

  • Reconnaissance de combinaisons

  • Amélioration de la bibliothèque d'ouvertures

  • Répétition de parties gagnantes ou au contraire éviter celle de parties perdantes

Les fonctions d'apprentissage évitent, entre autres, que les tables soient effacées après chaque coup. Ceci fait que des informations utilisables sont inscrites après l'exécution d'un coup. Le programme devient ainsi plus rapide. L'effet est particulièrement sensible lors de l'analyse automatique des parties et dans l'analyse manuelle lors de la reprise de coups.

Les positions dans lesquelles une modification sensible de l'évaluation intervient lors du calcul, sont sauvegardées de manière permanente. Ces informations ne sont pas perdues à l'arrêt du programme. Si une position apprise doit de nouveau être évaluée, le programme peut accéder aux informations enregistrées.

L'option "apprentissage de la bibliothèque" change la probabilité des coups d'ouverture selon les évaluations dans le début du milieu de partie. Ainsi le programme est capable d'éliminer des variantes d'ouverture mauvaises ou de privilégier les variantes avantageuses une fois qu'elles ont été jouées.


PGN en détail

Le format PGN

Le format PGN est le format standard pour la sauvegarde de parties d'échecs. Il est pris en compte par Shredder comme par beaucoup d'autres programmes d'échecs, et est donc très important pour l'échange de données. Il est par ex. possible d'insérer des parties au format PGN dans Shredder à travers le Presse-papiers.

Il est sûrement utile d'avoir quelques informations essentielles sur le format PGN.

En tête d'une partie sauvegardée au format PGN se trouvent les données de la partie. Dans celles-ci sept champs sont absolument nécessaires d'après le standard PGN:

[Event "?"] (Nom du tournoi, éventuellement événement)

[Site "?"] (Lieu)

[Date "????.??.??"] (Date)

[Round "?"] (Ronde)

[White "?"] (Nom des Blancs)

[Black "?"] (Nom des Noirs)

[Result "*"] (Résultat)

Le formatage avec une ligne pour chaque champ, les crochets et les guillemets doit être maintenu sinon les problèmes à la relecture des données sont prévisibles. Lors de la saisie de la date, il s'agit aussi de faire attention à quelques subtilités. La saisie de la date doit absolument être au format AAAA MM JJ. Par ex. 1990.05.22. Il est relativement fréquent que l'année de la partie, mais non le mois et le jour, soit seulement connu. Dans ce cas on utilise la forme d'écriture suivante: 1990.??.??. Pour la mention des résultats quatre valeurs sont prévues, c à d 1-0, 1/2-1/2, 0-1, *

En principe, les trémas ou d'autres caractères spéciaux dépendant de la langue peuvent être inclus dans un fichier PGN. Des exemples typiques sont ß, é, ö etc. Mais on devrait éviter généralement l'utilisation de ces caractères car beaucoup de programmes (surtout dans les zones de langue anglaise) ne les restituent pas correctement.

Descriptions de positions dans PGN

Dans un fichier PGN, d'autres renseignements sont parfaitement possibles. Ainsi, il est par exemple possible de saisir des descriptions de positions ne démarrant pas à partir de la position initiale. Une description de position dans un fichier PGN ressemble à ceci:

[Eingabe "1"]

[FEN "2B3K1/8/3N1p1p/6pk/5P1P/6P1/7r/5r2 w - -"]

Toute la procédure ressemble fortement au format EPD, suite aux données des parties suit un espace et ensuite sont lister les coups c à d la notation de la partie. La notation est facilement compréhensible: elle correspond à la notation abrégée en Anglais (KQRBN pour RDTFC). Il faut respecter les conventions suivantes:

  1. Avant le coup des Blancs se trouvent toujours le numéro du coup suivi d'un point et d'un espace.

  2. Pour une prise, on utilise un "x", par ex. dxe5.

  3. Pour une mise en échec, un "+" est à utiliser, par ex. Bb5+.

  4. Échec et mat est signalé par "#", par ex. Qh4#.

  5. Pour les roques la majuscule "O" (est non le chiffre "0") est utilisée, par ex. O-O-O.

  6. Les coups amenant la nulle (pat, répétition de position, règle des 50 coups) ne sont pas signalés.

  7. Les prises en passant ne sont pas signalées.

  8. Lors d'une promotion un "=" doit être placé devant le symbole de la figure, par ex. e8=Q.

Après la liste de la notation, suivent un espace, puis le résultat et encore un espace. Chaque ligne ne peut comprendre que 79 caractères et doit (si nécessaire) être interrompue. Les fichiers PGN peuvent aussi contenir des commentaires et des variantes et il n'y a pas de limitation, du moins théoriquement, au nombre de parties contenues dans un seul fichier PGN.


Profondeur de recherche

Shredder calcule un certain nombre de coups en avance.

Si toutes< les possibilités sont analysées, le programme recommence le calcul mais un demi-coup plus loin. Shredder fait la différence lors de la recherche des coups censés ou non. Les premiers sont analysés plus profondément (profondeur de recherche sélective) que les autres (profondeur de recherche complète).

Que signifie un demi-coup ?

Un coup des Blancs ou des Noirs. Un coup est composé de deux demi-coups.


Raccourcis clavier

Beaucoup de fonctions peuvent être appelées plus rapidement par une combinaison de touches, "Hotkeys" ou "Raccourcis" qu'à la souris. Ci-dessous les raccourcis clavier disponibles dans Shredder.

Nouvelle partie | Ctrl+N | Imprimer partie | Ctrl+Maj+P
Nouvelle partie Shuffle | Ctrl+Maj+N | Saisir position | Ctrl+D
Choisir base | Ctrl+J | Quitter programme | Alt+F4, Alt+X
Charger partie | Ctrl+L | Calcule | Ctrl+C
Sauvegarder partie | Ctrl+S | Interrompre | Echap
Remplacer partie | Ctrl+R | Insérer | Ctrl+V
Effacer partie | Ctrl+Supp | Proposer nulle | Alt+)
Charger partie précédente | F7 | Abandonner | Alt+(
Charger partie suivante | F8 | Proposition de coup | Ctrl+H
Choisir base de positions | Ctrl+Maj+J | Analyse Joker | Alt+E
Charger position | Ctrl+I | Monter variante principale | F11
Sauvegarder position | Ctrl+E | Insérer variante principale | Ctrl+Inser
Charger position précédente | F9 | Insérer meilleur coup | Inser
Charger position suivante | F10 | En-têtes de partie | Ctrl+Z
Derniers fichiers | Ctrl-X | Saisir commentaire | Ctrl+M
Niveau utilisateur | F2 | Promouvoir variante | Ctrl+Flèche haut
Analyse | Ctrl+A | Supprimer variante | Supp
Normal | Ctrl+1 | Supprimer coups restants | Maj+Supp
Saisie coups | Ctrl+2 | Démarrer Autoplayer | Ctrl+0
Triple Brain | Ctrl+B | Match entre modules | Ctrl+8
Analyser moins de coups | F5 | Terminer partie en cours | Ctrl+9
Analyser plus de coups | F6 | Échiquier | Ctrl+F1
Analyser partie | Ctrl+F10 | Pendules | Ctrl+F2
Position EPD suivante | Ctrl+X | Notation | Ctrl+F3
Graphique 3D | Ctrl+3 | Information de recherche | Ctrl+F4
Tourner échiquier | Ctrl+F | Coups | Ctrl+F5
Basculer échiquier 2D-/3D | F4 | Profil d'évaluation | Ctrl+F6
Changer pièces 3D | F3 | Barre d'icônes | Ctrl+F8
Options | F 12 | Barre d'état | Ctrl+F9
Permanent Brain | Ctrl+P | Aide en ligne | F1
Options module | Ctrl+T | J´adoube | Ctrl+Rück
Hashtables | Alt+H | Copier Partie (PGN) | Ctrl+Maj+C
Changer module | Ctrl+Q | Copier position (EPD) | Ctrl+Alt+C
Ajouter module | Ctrl+Maj+Q | Copier fenêtre d'analyse | Alt+Maj+C
Fermer module | Alt+Q | Reprendre coup | Flèche-gauche
Afficher options | Alt+J | Monter coup | Flèche-droite
Design: Ancienne fenêtre | Ctrl+Maj+1 | 5 coups en arrière | Flèche-haut
Design: Analyse | Ctrl+Maj+2 | 5 coups en avant | Flèche-bas
Design: Partie sérieuse | Ctrl+Maj+3 | Reprendre variante | Arêtes-haut
Design: Échiquier 3D | Ctrl+Maj+4 | Monter variante | Arêtes-bas
Changer Design | Ctrl+W | Revenir au début | Orig
Design utilisateur | Ctrl+Y | Aller vers la fin | Fin
Charger Design utilisateur | Ctrl+Maj+Y | Régler pendule (+30 sec) | Alt+“+“
Coups légaux | Ctrl+Maj+L | Régler pendule (–30 sec) | Alt+“–“
Coups de bibliothèque | Ctrl+Maj+B | Aller au coup n° | Ctrl+G
Tablebases | Ctrl+Maj+E | Monter partie | Ctrl+K
Masque affichage | Ctrl+Maj+A | Nouveau tournoi de modules | Ctrl+7
Options de bibliothèque | Ctrl+O | Continuer tournoi de modules | Ctrl+Maj+7
Importer partie en cours | Ctrl+U | Enregistrer | Maj+F1
Contrôle 3D Pavé numérique |  | Fenêtre information de calcul |
Tourner à gauche | Num0 | Une ligne vers le haut | Ctrl+Maj+Flèche-haut
Tourner à droite | Num, | Une ligne vers le bas | Ctrl+Maj+Flèche-bas
Basculer en arrière | Num9 | Une page vers le haut | Ctrl+Maj+Arêtes-haut
Basculer en avant | Num3 | Une page vers le bas | Ctrl+Maj+Arêtes-bas
Glisser à gauche | Num4 | Début | Ctrl+Maj+Orig
Glisser à droite | Num6 | Fin | Ctrl+Maj+Fin
Glisser vers le haut | Num8 | Supprimer contenu | Ctrl+Maj+Supp
Glisser vers le bas | Num2 | Arrêter défilement | Ctrl+Maj
Agrandir échiquier | Num+ |  |
Diminuer échiquier | Num– |  |
Agrandir pièces | Num7 |  |
Diminuer pièces | Num1 |  |


Calculer rating de tournoi

Une fonction très intéressante dans Shredder est le calcul du résultat Elo d'une rencontre.

La saisie se fait par la ligne de commandes.

Par ex. si le programme X a obtenu contre le programme Y le résultat suivant +4 =3 -3, vous pouvez saisir la ligne suivante:

tp 4 3 3

Dans la fenêtre d'analyse Shredder affiche l'information suivante:

10 +4 =3 -3 55.0% TP = +40 ELO 95% ? [-177,+257]

Cette affichage contient les informations suivantes:

dix parties ont été jouées, dont trois ont été gagnées, trois se sont terminées par une nulle et trois ont été perdues. La performance du tournoi est à 40 points Elo au-dessus de la moyenne adverse, avec une probabilité de 95% la valeur Elo des joueurs concernés se situent dans une fenêtre entre -177 à +257.

Si une plus grande quantité de parties est prise en compte, le calcul sera plus précis. Pour l'utilisation de la fonction, il faut tenir compte des limites suivantes:

Le système Elo n'est valable que si les deux joueurs ont moins de 400 points Elo de différence.

Si un joueur gagne 100% des parties, il ne peut y avoir une évaluation raisonnable car la différence de force de jeu entre les deux adversaires serait trop grande.


WinBoard

Modules WinBoard

Beaucoup d'auteurs de programmes d'échecs sont amateurs et ont, en dehors de leur vie professionnelle, très peu de temps pour développé une interface utilisateur avec un échiquier graphique, gestion de fichiers, etc. Le freeware WinBoard de Tim Mann est une interface universelle pour l'utilisation de modules d'échecs et peut être utilisé pour jouer sur les serveurs d'échecs sur Internet.

WinBoard peut être téléchargé sur Internet depuis le site de Tim Mann http://www.research.digital.com/SRC/personal/Tim_Mann/home.html. Vous y trouverez un aperçu des modules WinBoard disponibles et de liens concernant ce thème.

Shredder utilise, en plus de sa propre interface UCI, le protocole de WinBoard. Ceci signifie que la plupart des modules WinBoard peuvent être utilisés sous l'interface de Shredder.

Avantages des modules WinBoard

Il existe un grand nombre de modules WinBoard. Les avantages sont:

  • Les modules WinBoard fonctionnent sous la plupart des interfaces commerciales, par ex. aussi Shredder.

  • Les modules sont - à quelques exceptions près - gratuites.

  • Les modules jouent en règle générale nettement moins bien que les programmes de pointe. L'utilisateur a plus de chances de gagner une partie.

  • Le système s'est imposé entre temps et est utilisé par de nombreux d'auteurs de programmes. Le choix des modules disponibles et de plus en plus grand.

Inconvénients des modules WinBoard

Selon le module, l'intégration sous WinBoard ou une autre interface est plus ou moins compliqué.

  • Les modules WinBoard doivent être d'habitude configurés à l'aide de fichiers externes.

  • Il n'existe pas de dialogue commun pour la configuration et la modification d'un module WB.

  • Le protocole WB n'utilise pas de norme commune des options de base pour l'intégration et la configuration du module.


Presse-papiers

Presse-papiers / Clipboard

Le Presse-papiers (Clipboard) est un outil essentiel dans Windows pour échanger des données entre diverses applications. Shredder utilise aussi cet outil. Vous pouvez par ex. importer ou exporter des parties ou des positions par le Presse-papiers Windows. Ceci avec les commandes "Copier" et "Insérer" du menu Commandes .

Ce sont des formats universels qui sont utilisés, PGN pour les parties et EPD pour les positions.

Vous pouvez copier le contenu complet de la fenêtre d'analyse ou uniquement l'analyse de la dernière position dans le Presse-papiers.

La notation de partie peut être copier en format texte dans le Presse-papiers.

Il existe plusieurs possibilités pour utiliser cette fonction:

  • Enregistrement rapide d'une position ou d'une partie pour la recharger plus tard.

  • Importer une position ou partie, par ex. depuis ce fichier d'aide.

  • Exporter une partie, par ex. vers un éditeur de texte.